--
-- Name: tracker_query_display_column; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_query_display_column (
    tracker_query_id integer NOT NULL,
    display_field_id integer NOT NULL,
    display_field_order integer NOT NULL
);

--
-- Name: tracker_query_display_column_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE ONLY tracker_query_display_column
    ADD CONSTRAINT tracker_query_display_column_pkey PRIMARY KEY (tracker_query_id, display_field_id, display_field_order);


--
-- Name: tracker_query_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE ONLY tracker_query_display_column
    ADD CONSTRAINT tracker_query_fkey FOREIGN KEY (tracker_query_id) REFERENCES tracker_query(tracker_query_id) ON DELETE CASCADE;
