<?php
/** Update post_date field in wall_post table to timestamp with time zone, convert timestamps according to user's
 timezone setting */
require_once('initialize.php');

$con = Propel::getConnection();

try {
	$con->begin();
	//Fetch timestamps
	$sql = 'SELECT wall_post_id, post_date, timezone FROM "user" INNER JOIN wall_post ON "user".user_id = wall_post.posted_by';
	$stmt = $con->createStatement();
	/** @var ResultSet rs  */
	$rs = $stmt->executeQuery($sql, ResultSet::FETCHMODE_NUM);

	//Modify table
	$sql = "ALTER TABLE wall_post ALTER COLUMN post_date TYPE TIMESTAMP WITH TIME ZONE";
	$stmt2 = $con->createStatement();
	$stmt2->executeQuery($sql);

	//Update records with timezone
	while($rs->next()) {
		$sql = "UPDATE wall_post SET post_date = '".date("Y-m-d H:i O", strtotime($rs->getTimeStamp(2) . ' ' . $rs->getString(3)))."'
		WHERE wall_post_id = " . $rs->getInt(1);
		$stmt = $con->createStatement();
		$rs2 = $stmt->executeQuery($sql);
	}
	$con->commit();
	exit(0);
} catch (Exception $e) {
	$con->rollback();
	$res = fopen('php://stderr', 'w');
	fprintf($res, $e->getMessage()."\n");
	fclose($res);
	exit(1);
}