<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('plugins/build/lib/CruisecontrolPeer.php');
require_once('plugins/build/lib/Cruisecontrol.php');

$session = Session::getSession();
$Lang = $session->getLanguage();
$Project = GFUrl::getUrl()->getProject();

require_once('plugins/build/lib/html/BuildAdminTemplate.php');
$theme = new BuildAdminTemplate();

$Cruisecontrol = CruisecontrolPeer::retrieveByPk($_GET['id']);
if ($Cruisecontrol == null || !is_object($Cruisecontrol)) {
	throw new PermissionDeniedException();
}

$params = array(
		'project' => $Project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Build.DeletePageTitle')
		);
$theme->header($params);

include('forms/BuildDelete-tpl.php');

$theme->footer($params);
?>
