<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

//
// This code lists Docman
//

require_once('external/ckeditor/ckeditor.php');

$project = GFUrl::getUrl()->getProject();

$docman_file_id = isset($_GET['docman_file_id']) ? intval($_GET['docman_file_id']) : 0;

if ($docman_file_id != 0) {
	$docman_file = DocmanFilePeer::retrieveByPk($docman_file_id);
	
	if (is_object($docman_file)) {
		$latestfile=$docman_file->getLatestVersion()->getFile();	
		$file_content = $latestfile->getFileData();
	} else {
		$file_content = '';
	}
} else  {
	$file_content = '';
}


if ($docman_file_id != 0) {
	$field_name = 'message2';
} else {
	$field_name = 'message';
}

$CKEditor = new GFCKEditor(GFCKEditor::FULL);
$CKEditor->config['width']="800";
$CKEditor->config['height']="450";
$CKEditor->setConnectorURLs($project->getProjectId());
$CKEditor->editor($field_name, $file_content);

?>
<script>
	document.CKEDITOR = CKEDITOR;
</script>
