<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


switch ($action) {
	case 'DocmanFolderEdit': {
		include(dirname(__FILE__).'/DocmanFolderEdit.php');
		break;
	}
	case 'DocmanFolderEditAction': {
		include(dirname(__FILE__).'/DocmanFolderEditAction.php');
		break;
	}
	case 'DocmanFolderAdd': {
		include(dirname(__FILE__).'/DocmanFolderAdd.php');
		break;
	}
	case 'DocmanFolderAddAction': {
		include(dirname(__FILE__).'/DocmanFolderAddAction.php');
		break;
	}		
	case 'DocmanFileEdit': {
		include(dirname(__FILE__).'/DocmanFileEdit.php');
		break;
	}
	case 'DocmanFileEditAction': {
		include(dirname(__FILE__).'/DocmanFileEditAction.php');
		break;
	}
	case 'DocmanFileDelete': {
		include(dirname(__FILE__).'/DocmanFileDelete.php');
		break;
	}
	case 'DocmanFileDeleteAction': {
		include(dirname(__FILE__).'/DocmanFileDeleteAction.php');
		break;
	}
	case 'DocmanFolderDelete': {
		include(dirname(__FILE__).'/DocmanFolderDelete.php');
		break;
	}
	case 'DocmanFolderDeleteAction': {
		include(dirname(__FILE__).'/DocmanFolderDeleteAction.php');
		break;
	}
	case 'DocmanFileVersionDelete': {
		include(dirname(__FILE__).'/DocmanFileVersionDelete.php');
		break;
	}
	case 'DocmanFileVersionDeleteAction': {
		include(dirname(__FILE__).'/DocmanFileVersionDeleteAction.php');
		break;
	}
	case 'DocmanFileVersionApprove': {
		include(dirname(__FILE__).'/DocmanFileVersionApprove.php');
		break;
	}
	case 'DocmanFoldersUpdate': {
		include(dirname(__FILE__).'/DocmanFoldersUpdate.php');
		break;
	}
	case 'DocmanFolderMoveAction': {
		include(dirname(__FILE__).'/DocmanFolderMoveAction.php');
		break;
	}	
	case 'DocmanFileMoveAction': {
		include(dirname(__FILE__).'/DocmanFileMoveAction.php');
		break;
	}	
	case 'DocmanMakeSiblingAction': {
		include(dirname(__FILE__).'/DocmanMakeSiblingAction.php');
		break;
	}	
	case 'DocmanFileVersionApprove': {
		include(dirname(__FILE__).'/DocmanFileVersionApproveAction.php');
		break;
	}	
	case 'DocmanFileVersionReject': {
		include(dirname(__FILE__).'/DocmanFileVersionRejectAction.php');
		break;
	}
	case 'DocmanFileRename': {
		include(dirname(__FILE__).'/DocmanFileRenameAction.php');
		break;
	}
	default: {
		$project = GFUrl::getUrl()->getProject();
		GFUrl::redirect($url->projectURL($project, '', 'docman', '', array()));
		break;
	}
}
?>
