<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code lists Forum
//
require_once('plugins/forum/lib/ForumPeer.php');
require_once('plugins/forum/lib/Forum.php');
require_once('plugins/forum/lib/html/ForumAdminFormRenderer.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/forum/lib/html/ForumAdminTemplate.php');
$theme = new ForumAdminTemplate();

$Project = GFUrl::getUrl()->getProject();

$params = array(
		'project' => $Project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Forum.BrowsePageTitle')
		);
$theme->header($params);

$renderer = new ForumAdminFormRenderer('project', $Project->getProjectId(), $theme, $Lang);
echo $renderer->showForumBrowseForm();



$theme->footer($params);
?>