<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$CKEditor = new GFCKEditor(GFCKEditor::BASIC);
$CKEditor->config['width'] = "800";
$CKEditor->config['height'] = "200";
$project = GFUrl::getUrl()->getProject();
?>

<?php echo $uploadHandler->getJavascriptSetup(); ?>

<p>
	<strong><?php echo $Lang->getText('ForumThread.AddNew'); ?></strong>
</p>
<form action="" method="POST" enctype="multipart/form-data">
	<table border="0">
		<input type="hidden" name="forum_id" value="<?php echo $forum_id ?>" />
		<input type="hidden" name="forum_thread_add_submit" value="1" />
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.ThreadNameName'); ?>:&nbsp;*</strong><br />
			<input type="text" name="thread_name" value="<?php echo $thread_name; ?>" size="60" maxlength="90"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.Message'); ?>:&nbsp;*</strong><br />
			<?php echo $CKEditor->editor('message', $message); ?>
		</tr>
		<tr>
			<td><div class="upload_widget"></div></td>
		</tr>
		<?php if (GFConf::get('forum.useCaptcha') == true) { 
			require_once('securimage/captcha_block.php');
		} ?>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   $this->buildForumURL(array('action' => 'ForumBrowse', 'forum_id' => $forum_id)) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
