<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
require_once('lib/html/TagsRenderer.php');
$theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('News.AddNewsDescription').'</div></p>';
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('NewsEditAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $_REQUEST['id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('News.SubmittedByName'); ?>: </strong><?php echo $submitted_by; ?></td>
		</tr>
		<?php if($session->isSiteAdmin()) { ?>
		<tr>
			<td><input type="checkbox" name="is_approved" <?php echo ($is_approved ? 'checked' : ''); ?> /> <?php echo $Lang->getText('News.ApproveForFPage'); ?></td>
		</tr>
		<?php } ?>
		<tr>		
			<td><strong><?php echo $Lang->getText('News.SummaryName'); ?>&nbsp;*</strong><br />
			<input type="text" size="70" name="summary" value="<?php echo $summary; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('News.DetailsName'); ?>&nbsp;*</strong><br />
			<?php $CKEditor->editor('details', $details) ; ?></td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.delete') . " ","delete","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','news','admin',array()) . "'; ")?>
			</td>
		</tr>
	</table>
<div class="tabbertab" id="tagstab">
<?php 
echo TagsRenderer::getTagsTable($News->getNewsId(),News::SECTION, $theme);
?>
</div>
</form>
<?php
$theme->footer($params);
?>
