 <div id="newscontainar">
 		<div id="newsinner">
			<div id="content" role="main">
<?php
	if (sizeof($posts) == 0) {
		echo "<h4>" . Language::getSessText('News.NoPosts') . "</h4>";	
	} else {
?>

<?php 
	//echo '<h1>Latest Blog posts</h1>';
	//echo '<img class="separator" src="' . $theme->getImgUrl("blog/thread_separator.png") . '" />';

	foreach ($posts as $item) {

		//Get user that posted the item
		$user_id = $item->getSubmittedBy();
		$user_posted = UserPeer::retrieveByPk($user_id);
		$item_url = GFUrl::getUrl()->projectURL($item->getProject(),'','news', '',array('id'=>$item->getNewsId()));
		if (is_object($user_posted)) {
			$user_posted_name = $user_posted->getFullname();
			$user_posted_unixname = $user_posted->getUnixName();
		}

		// Try to create a forum for this news on the fly
		$c = new Criteria();
		$c->add(ForumPeer::SECTION, News::SECTION);
		$c->add(ForumPeer::REF_ID, $item->getPrimaryKey());
		$forum = ForumPeer::doSelectOne($c);
		if (is_null($forum)) {
			$forum = new Forum();
			$forum->setSection(News::SECTION);
			$forum->setRefId($item->getPrimaryKey());
			$forum->setForumName($item->getSummary());
			// We do this because we may be logged in as any user, so we must skip
			// permission checks
			$forum->forceSave();
			$forum->save();
		}

		$c = new Criteria();
		$c->addJoin(ForumMessagePeer::FORUM_THREAD_ID, ForumThreadPeer::FORUM_THREAD_ID);
		$c->addJoin(ForumThreadPeer::FORUM_ID, ForumPeer::FORUM_ID);
		$c->add(ForumPeer::SECTION, News::SECTION);
		$c->add(ForumPeer::REF_ID, $item->getNewsId());
		$message_count = ForumMessagePeer::doCount($c);
?>
<!-- #start news item block -->
			<div id="post" class="post">
				<h1 class="entry-title"><a href="<?php echo $item_url ?>" title="<?php echo $item->getSummary() ?>"><?php echo $item->getSummary() ?></a></h1>

					<div class="entry-meta">
						<span class="meta-prep meta-prep-author">Posted on</span> <span class="entry-date"><?php echo $item->getPostDate('Y-m-d'); ?></span> <span class="meta-sep">by</span> <span class="author vcard"><a class="url fn n" href="<?php echo $url->userUrl($user_posted); ?>" title=""><?php echo $user_posted_name; ?></a></span>
					</div>
					<!-- .entry-meta -->

					<div class="entry-content">
							<?php $maxdisplay = 500;
									$details = $item->getDetails();
									if (strlen($details) > $maxdisplay) {
										$details = substr($details, 0, $maxdisplay);
										$pos = strrpos($details, " ");
										if ($pos > 0) {
											$details = substr($details, 0, $pos);
										}
										//Use String Utils to clean up the wrapped html^M
										$strU = new StringUtils(StringUtils::FULL_HTML);
										$details = $strU->cleanHtml($details);
										$details .= "... <a href=\"" . GFUrl::getUrl()->projectURL($item->getProject(),'','news', '',array('id'=>$item->getNewsId())) . "\">(see more)</a>";
									}
									echo $details;
							?>
					</div><!-- .entry-content -->

					<div style="margin-top: 5px;">
							<a href="<?php echo GFUrl::getUrl()->projectURL($item->getProject(),'','news', '',array('id'=>$item->getNewsId())); ?>"><img src="/images/forum_icon.gif" alt="5" />&nbsp;&nbsp;Comments (<?php echo $message_count; ?>)</a>
					</div>

			</div>

			<div>
				<img class="separator" src="<?php echo $theme->getImgUrl("blog/thread_separator.png"); ?>" />
			</div>


<!-- #end news item block -->
<?php
		} //End news foreach
	}
?>

</div>
</div>
</div>