<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Federico Tarantini      federico@gforgegroup.com
 * @date 2006-11-17
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

//require_once('lib/html/HTMLWidget.php');
require_once('html/templates/ProjectReportingTemplate.php');

$session = Session::getSession();
$Project = GFUrl::getUrl()->getProject();
$project_id = $Project->getProjectId();
$Lang = $session->getLanguage();

$theme = new ProjectReportingTemplate();

/*
$users = array();
$users[0] = 'All';
foreach ($Project->getMembers() as $member) {
        $users[$member->getUserId()] = $member->getFullName();
}
*/

//$user_id=((isset($_REQUEST['user_id'])) ? Validator::sanitizeInt($_REQUEST['user_id']) : 0 );
$begin=((isset($_REQUEST['start_date']) && strlen($_REQUEST['start_date']) > 5) ? $_REQUEST['start_date'] : 0 );
$end=((isset($_REQUEST['end_date']) && strlen($_REQUEST['end_date']) > 5) ? $_REQUEST['end_date'] : 0 );
$subprojects=((isset($_REQUEST['subprojects'])) ? Validator::sanitizeInt($_REQUEST['subprojects']) : 0 );

if ($begin=='0') {
        $begin = (time()-(30*86400));
} else {
        $begin = strtotime($begin);
}
if ($end=='0') {
        $end = time();
} else {
        $end=strtotime($end)+86399;
}
if ($begin > $end) {
        $endtmp=$end;
        $end=$begin;
        $begin=$endtmp;
}

$params = array(
                'project' => $Project,
                'feedback' => (isset($feedback) ? $feedback : ''),
                'title' => $Lang->getText('ScmCommitsReport.Title')
	       );

$theme->header($params);
?>
<script language="javascript" type="text/javascript" src="/datetimepicker.js">
</script>
<br />
<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
<table border="0" cellspacing="0" cellpadding="3" bgcolor="#E0E0E0">
<tr>
	<!--
        <td><strong><?php //echo $Lang->getText('ScmCommitsReport.FilterByUser') ?></strong></td>
        <td><?php //echo HTMLWidget::selectBoxFromAssoc($users,'user_id',$user_id, false, false) ?></td>
	-->
        <td><input id="startdate" name="start_date" value="<?php echo date('M d Y',$begin); ?>" size="11" maxlength="11" /><a href="javascript:NewCal('startdate','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a></td>
        <td><input id="enddate" name="end_date" value="<?php echo date('M d Y',$end); ?>" size="11" maxlength="11" /><a href="javascript:NewCal('enddate','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a></td>
        <td valign="middle" rowspan="2"><?php echo HTMLWidget::button("submit","" .   $Lang->getText('Common.Submit')  . " ","submit","","")?></td>
</tr>
<tr>
	<td colspan="2">
		<strong><?php echo $Lang->getText('ProjectReporting.IncludeSubprojects') ?></strong> 
		<input type="checkbox" name="subprojects" value="1"<?php echo ($subprojects == 1) ? ' checked' : '';?>/>
	</td>
</tr>
</table>
</form>
<?php
//$imgquerystring = '&amp;user_id='.$user_id.'&amp;start_date='.date('Y-m-d', $begin);
$imgquerystring = '&amp;start_date='.date('Y-m-d', $begin);
$imgquerystring .= '&amp;end_date='.date('Y-m-d', $end);
$imgquerystring .= '&amp;subprojects='.$subprojects;

echo '<br /><img src="/gf/project/'.$Project->getUnixName().'/scm/graphs/?action=CommitsPie'.$imgquerystring.'" height="250" width="400" alt="" /> &nbsp;';
echo '<img src="/gf/project/'.$Project->getUnixName().'/scm/graphs/?action=CommitsLine'.$imgquerystring.'" height="250" width="450" alt="" /> &nbsp;';

$theme->footer();
?>
