<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new ScmModule and saves it to the 
// database
//
require_once('plugins/scm/lib/ScmModule.php');
require_once('plugins/scm/lib/ScmModulePeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

$Lang = Language::getSessLang();

if (isset($_POST['sure'])) {
	$ScmModule = ScmModulePeer::retrieveByPk($_POST['id']);
	if (is_object($ScmModule) && $ScmModule->userCanDelete()) {
		$ScmModule->delete();
		GFUrl::redirect($url->currentBaseURL('ScmModuleBrowse'), array('feedback' => $Lang->getText('ScmModule.DeleteFeedback')));
	} else {
		throw new PermissionDeniedError();
	}
} else {
	GFUrl::redirect($url->currentBaseURL('ScmModuleBrowse'), array('feedback' => $Lang->getText('ScmModuleDeleteForm.DidntConfirm')));
}

?>