<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('plugins/snippet/lib/SnippetPeer.php');
require_once('plugins/snippet/lib/Snippet.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/snippet/lib/html/SnippetTemplate.php');
$theme = new SnippetTemplate();

$c = new Criteria();
$c->add(SnippetPeer::SNIPPET_ID, $_REQUEST['snippet_id']);
$Snippet = SnippetPeer::doSelectOne($c);

if (!is_object($Snippet) || !$Snippet->userCanDelete()) {
	throw new PermissionDeniedException();
}

$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Snippet.DeletePageTitle')
		);

include('forms/SnippetDelete-tpl.php');

?>