<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('SnippetAddAction') ?>" method="POST" enctype="multipart/form-data">
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('Snippet.NameName'); ?></strong><br />
			<input type="text" name="snippet_name" value="<?php echo $snippet_name; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Snippet.DescriptionName'); ?></strong><br />
			<textarea name="snippet_description" rows="10" cols="60"><?php echo $snippet_description; ?></textarea></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Filesystem.AddNew'); ?></strong><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file">
			</td>
		</tr>
		<tr>
			<td>
		<?php
			$renderer = new TroveRenderer();
			$renderer->showTroveForm(array(TroveRenderer::TROVE_PROGRAMMING_LANGUAGE, 
									TroveRenderer::TROVE_TOPIC, 
									TroveRenderer::TROVE_LICENSE));
		?>
			</td>
		</tr>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","javascript:history.go(-1);")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
