<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez ruben@gforgegroup.com
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

class TrackerHTML {

	function __construct() {
	}

	public static function fieldJavaScript($field_id=0) {
		if ($tracker > 0) {
			echo "<script type='text/javascript'>\n";
			echo "_changeOptions('change_to_element_id[]', $field_id, trackers, techs);\n";
			echo "</script>\n";
		}
	}

	public static function elementsToJavaScript($field_elements, $elements=array()) {
		$count = count($field_elements);
		echo "<script type='text/javascript'>\n";
		echo "var fields = new Array($count);\n";
		echo "var elements    = new Array($count);\n";
		$i=0;
		foreach($field_elements as $fid => $arr) {
			$countaux = count($arr);
			echo "fields[$i]  = '$fid';\n";
			echo "elements[$i]     = new Array($countaux);\n";
			$j=0;
			foreach($arr as $id => $name) {
				$selected =  (isset($elements[$fid][$id]) ? 'true' : 'false');
				echo "techs[$i][$j] = new Array('$name', '$id', $selected);\n";
				$j++;
			}
			$i++;
		}
		echo "</script>\n";
	}
	
	public static function selectBoxFromAssoc($assoc, $select_name, $checked_val='', $options='') {
		$return = '<select name="'.$select_name.'" '.$options.'>';
		foreach ($assoc as $val => $text) {
			$return .= '
				<option value="'.$val.'"';
			if ($val === $checked_val) {
				$return .= ' selected="selected" ';
			}
			$return .= '>'.$text.'</option>';
		}
		$return .= '</select>';
		return $return;
	}
}
?>
