<?php
/**
 * Copyright (c) 2005-2013 GForge, LLC
 *
 * @version   $Id$
 * @author Mario Papayannis mpapapyannis@gforgegroup.com
 * @date 2013-05-24
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<form action="<?php echo GFUrl::getUrl()->projectURL($tracker_item_message->getTrackerItem()->getTracker()->getProject(), 'TrackerItemMessageEditAction', 'tracker', 'admin', array()); ?>" method="post">
	<input type="hidden" name="tim" value="<?php echo $tracker_item_message->getTrackerItemMessageId(); ?>" />
	<table border="0">
	<?php 
		if (GFConf::get('system.displayAvatar')) {
			$trow = $Lang->getText('TrackerItemMessage.SubmittedByName').': '.$tracker_item_message->getUser()->getUserLink(). 
				'<br />'.$tracker_item_message->getUser()->getAvatarHTML() . '<br />'.
				$Lang->getText('TrackerItemMessage.AdddateName').': '.$tracker_item_message->getAdddate();
		} else {
			$trow = ''.$Lang->getText('TrackerItemMessage.SubmittedByName').': '.$tracker_item_message->getUser()->getUserLink().
				'<br />'. $Lang->getText('TrackerItemMessage.AdddateName').': '.$tracker_item_message->getAdddate();
		}
		?>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('TrackerItemMessage.Edit'); ?></strong><br /><br />
			</td>
		</tr>
		<tr>
			<td>
			<?php echo $trow; ?>
			</td>
		</tr>
		<tr>
		    <td><strong><?php echo $Lang->getText('TrackerItemMessage.Message'); ?></strong><span class="required">*</span><br />	
				<?php
					$CKEditor = new GFCKEditor(GFCKEditor::BASIC);
					$CKEditor->config['width']='700';
					$CKEditor->textareaAttributes = array('style'=>'overflow:hidden;','rows'=>7,'cols'=>70, 'id'=>'details', 'name'=>'details','onkeyup'=>'checkRow(this)');
					$CKEditor->editor("message",$tracker_item_message->getBody(false));
				?>
		    </td>
		</tr>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" . GFUrl::getUrl()->projectURL($tracker_item_message->getTrackerItem()->getTracker()->getProject(), 'TrackerItemEdit', 'tracker', '', array('tracker_item_id'=>$tracker_item_message->getTrackerItem()->getTrackerItemId()))  . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
