<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('plugins/userblog/lib/UserBlogPeer.php');
require_once('plugins/userblog/lib/UserBlog.php');

$session = Session::getSession();
$user = $session->getUser();
$Lang = $session->getLanguage();

require_once('plugins/userblog/lib/html/UserblogMyAdminTemplate.php');
$theme = new UserblogMyAdminTemplate();

$UserBlog = UserBlogPeer::retrieveByPk($_REQUEST['id']);
if (!is_object($UserBlog)) {
	throw new PermissionDeniedException();
}

$params = array(
		'user' => $user,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('News.DeletePageTitle')
		);

include('forms/UserblogDelete-tpl.php');

?>
