<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
require_once('lib/html/TagsRenderer.php');
$theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('News.AddNewsDescription').'</div></p>';
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserblogEditAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $post_id; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('News.SubmittedByName'); ?>: </strong><?php echo $submitted_by; ?></td>
		</tr>
		<tr>		
			<td><strong><?php echo $Lang->getText('Userblog.SubjectName'); ?>&nbsp;*</strong><br />
			<input type="text" size="70" name="subject" value="<?php echo $subject; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Userblog.ContentName'); ?>&nbsp;*</strong><br />
			<?php $CKEditor->editor('content', $content); ?></td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.delete') . " ","delete","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseUrl('', array())  . "'; ")?>
			</td>
		</tr>
	</table>
<div class="tabbertab" id="tagstab">
<?php 
	echo TagsRenderer::getTagsTable($UserBlog->getUserBlogId(),UserBlog::SECTION, $theme);
?>
</div>
</form>
<?php
$theme->footer($params);
?>
