<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing Snippet
//

require_once('exceptions/PermissionDeniedException.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

$user = GFUrl::getUrl()->getUser();
$params = array(
		'user' => $user,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => 'Userfiles Admin'
		);

require_once('plugins/userfiles/lib/html/UserfilesMyAdminTemplate.php');
$theme = new UserfilesMyAdminTemplate();

$c = new Criteria();
$c->add(FilesystemPeer::FILESYSTEM_ID,$_REQUEST['file_id']);
$fs = FilesystemPeer::doSelectOne($c);

if (!is_object($fs)) {
	throw new PermissionDeniedException();
}

$name = ( (isset($_POST) && isset($_POST['name'])) ? htmlspecialchars($_POST['name']) : $fs->getFileNameSafe() );

include ('forms/UserfileEdit-tpl.php');

?>