var elementUnderTest = null;
$(document).ready(function() {
});

function TestCal(elemName) {
    console.log("TestCal: "+elemName);
    elementUnderTest = $('#'+elemName);

    if (elementUnderTest) {
        $( ".date-dialog-container" ).find('.criteria').val(elementUnderTest.val());
        $( ".date-dialog-container" ).find('.response').text('');
    }

    $( ".date-dialog-container" ).dialog({
        modal: true ,
        height: 370,
        width: 600,
        minWidth: 600,
        maxWidth: 600,
        title: "Date Criteria Tester",
        overlay: {opacity: 0.5, background: "black" },
        position: ['center', 'center'],
        autoResize:true,
        autoOpen:true,
        buttons: {
            Test: function() {
                var criteria = $( ".date-dialog-container" ).find('.criteria').val();
                if (criteria != '') {
                    $( ".date-dialog-container" ).find('.response').text('Checking...');
                    $.ajax({
                        url: '/gf/ajax/?action=DateCriteria',
                        type: "GET",
                        data: {
                            criteria: criteria
                        },
                        dataType: 'json',
				
                        success: function(response){
                            $( ".date-dialog-container" ).find('.response').text(response.response);
                        }
                    });
                }
            },
            OK: function() {
                if ($(elementUnderTest)) {
                    var criteria = $( ".date-dialog-container" ).find('.criteria').val();
                    $(elementUnderTest).val(criteria);
                }
                $( ".date-dialog-container" ).dialog( "close" );
            },
            Cancel: function() {
                $( ".date-dialog-container" ).dialog( "close" );
            }
        }
    });
}