<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
$theme->header($params);
?>
<p>
	<strong><?php if (!$password_expired) { echo $Lang->getText('MyUserPasswordEdit.EditPassword'); } else { echo $Lang->getText('MyUserPasswordEdit.PasswordExpired'); } ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserPasswordEditAction') ?>" method="POST" autocomplete="off">
	<input type="hidden" name="password_expired" value="<?php echo $password_expired ?>" /></td>
	<input type="hidden" name="redirect" value="<?php echo $redirect ?>" /></td>
	<input type="hidden" name="username" value="<?php echo $username ?>" /></td>
	<table border="0">
<?php
if (GFConf::get('system.useSSO') && !GFConf::get('system.SSORequireStoredPassword')) {
        //some sso systems would not have an initial stored password
} else {
?>
		<tr>
			<td>				
				<strong><?php echo $Lang->getText('MyUserPasswordEdit.OldPassword'); ?></strong><br />
				<input type="password" name="old_password" value="" maxlength="32" autocomplete="off" /></td>
		</tr>
<?php
}
?>
		<tr>
			<td><strong><?php echo $Lang->getText('MyUserPasswordEdit.NewPassword'); ?></strong><br />
			<input type="password" name="new_password" value="" maxlength="32" autocomplete="off" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('MyUserPasswordEdit.NewPasswordRepeat'); ?></strong><br />
			<input type="password" name="new_password_conf" value="" maxlength="32" autocomplete="off" /></td>
		</tr>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit",  $Lang->getText('MyUserPasswordEdit.submit') ,"submit","","")?>
				<?php echo HTMLWidget::button("button", Language::getSessText('Common.Back'),"cancel","javascript:history.go(-1);","")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
