<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez ruben@gforgegroup.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('core/ProjectPeer.php');
require_once('session/Session.php');
require_once('core/Plugin.php');
require_once('plugin/GFPlugin.php');
require_once('core/RolePeer.php');
require_once('core/UserProject.php');
require_once('html/HTMLWidget.php');

$session = Session::getSession();
$Language = $session->getLanguage();

require_once('html/templates/SiteAdminTemplate.php');

$template = new SiteAdminTemplate();
$params = array(
		'title'	=> Language::getSessText('SiteAdmin.DiskUsage')
);
$template->header($params);

echo '<p><strong>'.Language::getSessText('SiteAdmin.DiskUsage').'</strong></p>';

echo '<img src="/gf/admin/graphs/?action=DiskUsage" height="250" width="450" alt="" /> &nbsp;';
echo '<br>';
echo HTMLWidget::button("button",$Language->getText('Common.Back'),"cancel","","window.location ='" . GFUrl::getUrl()->currentBaseUrl(''). "';");
$template->footer();
?>
