<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. Prez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('lib/core/FilesystemPeer.php');

$strU = new StringUtils(StringUtils::FULL_HTML);
if (!Session::getSession()->isSiteAdmin()) {
	throw new PermissionDeniedException();
}

if(isset($_POST['submit'])) {
	$contents = $_POST['contents'];
	$contents = $strU->cleanHtml($contents);
	$c = new Criteria();
	$c->add(FilesystemPeer::SECTION,'frontpage'); // TODO -> this section name should be stored somewhere as a constant
	$front_page = FilesystemPeer::doSelectOne($c);
	if (!is_object($front_page)) {
		$front_page=new Filesystem();
		$front_page->setFileType('text/html');
		$front_page->setFileName('frontpage.html');
		$front_page->setSection('frontpage');
		$front_page->setPostedBy(Session::getSession()->getUser()->getUserId());
	}
	$front_page->save();
	$front_page->setFileDataFromString($contents);
	$feedback = Language::getSessText('SiteAdmin.FrontPageUpdated');
}

GFUrl::redirect(GFUrl::getUrl()->baseURL('EditFrontPage','','admin',array('feedback'=>$feedback)));

?>
