<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('core/ProjectPeer.php');
require_once('core/Project.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

//$Project = GFUrl::getUrl()->getProject();
$params = array(
    //  'project' => $Project,
    //  'SiteTemplate' => $SiteTemplate,
        'action' => isset($action) ? $action : '',
        'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
        'title' => $Lang->getText('Project.DeletePageTitle')
        );

$redirect = (isset($_REQUEST['redirect'])) ? Validator::sanitizeString($_REQUEST['redirect']) : '';
if ($redirect != 'approve-pending') {
    $redirect = 'ProjectBrowse';
}
$projectCount = substr_count($_GET['ids'], '-') + 1;
include('forms/ProjectDeleteBatch-tpl.php');

?>
