<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   
 * @author Federico Tarantini federico@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
echo $template->header($params);
?>
<p>
    <h4>
        <?php echo $Lang->getText('TroveDelete.DeleteCategory').': '; ?>
		<?php $warnings = array(); ?>
        <?php foreach ($TroveCategories as $TroveCategory) : ?>
            <?php 
				echo '[#'.$TroveCategory->getTroveCategoryId().'] "'.$TroveCategory->getName().'", ';
				if ($TroveCategory->getProjectLinksCount() > 0) {
					$warnings[] = $Lang->getText('TroveDelete.Warning.ProjectCount', array($TroveCategory->getName(), $TroveCategory->getProjectLinksCount()))." ".
						($TroveCategory->isLeaf() ? $Lang->getText('TroveDelete.Warning.Leaf') : $Lang->getText('TroveDelete.Warning.NonLeaf'));
				}
			?>
        <?php endforeach; ?>
    </h4>
</p>

<?php foreach ($warnings as $warning) : ?>
	<p><?php echo $warning; ?></p>
<?php endforeach; ?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TroveDeleteAction') ?>" method="POST">
    <input type="hidden" name="trove_cat_id" value="<?php echo implode(',', $troveCatIds); ?>" />
	<input type="hidden" name="delete" />

	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('TroveDelete.FormConfirm'); ?></strong>
			<input type="checkbox" name="sure" value="1"></td>
		</tr>
		<tr>
			<td align="right">
				<?php echo HTMLWidget::button("submit","" .   Language::getSessText('TroveDelete.Delete') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('submit.cancel') . " ","button","","javascript:history.back();")?>
			</td>
		</tr>
	</table>
</form>
<?php
echo $template->footer($params);
?>