<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/MyTemplate.php');
require_once('lib/html/HTMLWidget.php');

$session = Session::getSession();
$Lang = $session->getLanguage();
$user = $session->getUser();
$theme = new MyTemplate();

if(isset($_REQUEST['feedback'])) $feedback = $_REQUEST['feedback'];
$params = array(
	'title' => $Lang->getText('Forum.MyLatestMessagesTab'),
	'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
	'action' => isset($action) ? $action : '',
	'selectedbottomtab' => 'latest_forum_messages',
	'user' => $user
	);

$theme->header($params);

$pr = ActionManager::notify('FORUM_GET_LATEST_MONITORED_THREADS');
foreach ($pr as $result) {
	echo $result->getResult();
}

$theme->footer();
?>
