<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing User
//
require_once('core/UserPeer.php');
require_once('core/User.php');
require_once('exceptions/PermissionDeniedException.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/MyTemplate.php');
$template = new MyTemplate();

if (!$session->isLoggedIn()) {
	throw new NotLoggedInException();
}

$User = $session->getUser();


$params = array(
		'user' => $User,
		'selectedbottomtab' => 'myaccount',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'action' => isset($action) ? $action : '',
		'title' => $Lang->getText('User.EditPageTitle')
		);
$template->header($params);

echo $template->infoTableTop(Language::getSessText('MyUserPlugin.UserPlugin')); 
require_once('forms/UserPlugins-tpl.php'); 
echo $template->infoTableBottom(); 

?>


