<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code lists News
//
require_once('lib/core/WallPost.php');
require_once('lib/core/WallPostPeer.php');
require_once('lib/core/WallPostComment.php');
require_once('lib/core/WallPostCommentPeer.php');

$session = Session::getSession();
$Lang = $session->getLanguage();
$user = $session->getUser();
$project = GFUrl::getUrl()->getProject();

if (!$session->isLoggedIn()) {
	throw new PermissionDeniedException();
}

$id = isset($_REQUEST['id']) ? intval($_REQUEST['id']) : 0;
$qty = isset($_REQUEST['qty']) ? intval($_REQUEST['qty']) : 2;



if (is_object($project) && ($user->isProjectMember($project) || $project->isPublic())) {
	$button_enabled = true;
} else {
	$button_enabled = false;
}

$con = Propel::getConnection(WallPostPeer::DATABASE_NAME);
require("wwwlib/project/messagewall/forms/MessageWallComments-tpl.php");
?>