<?php
/**
 * Gforge 5.0 Project Summary.
 *
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: gf 386 2006-02-01 19:42:23Z marcelo $
 * @author
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/SiteTemplate.php');
require_once('lib/core/ProjectPeer.php');
require_once('html/ProjectTroveFilterRenderer.php');

$template = new SiteTemplate();

$feedback = (isset($_GET['feedback'])) ? $_GET['feedback'] : '';

$params = array(
		'selectedtoptab'	=> 'project',
		'title'=>'Browse Projects',
		'feedback'=>Validator::sanitizeString($feedback),
		'extra_head' => array('<META NAME="ROBOTS" CONTENT="NOINDEX,NOFOLLOW" />')
	);
$template->header($params);

$session = Session::getSession();
$lang = $session->getLanguage();

echo '<p><h3>'.$lang->getSessText('Project.TroveSearch').'</h3></p><p>';

// Trove search
$r = new ProjectTroveFilterRenderer('project');
echo $r->getFilterForm();
echo '</p>';

// search box for projects
echo '<p><h3>'.$lang->getText('Project.SearchAllCategories').'</h3></p>';
require_once('forms/ProjectSearch-tpl.php');
echo $lang->getText('Project.SearchMessage');

$theader=array();
$theader[] = $lang->getText('Project.ListNameTitle');
$theader[] = $lang->getText('Project.ListDescriptionTitle');
$theader[] = $lang->getText('Project.ListRegisterDateTitle');

/*
echo $template->tableTop($theader);

foreach ($projects as $project) {
	$trow=array();
	$trow[]=$project->getProjectLink();
	$trow[]=$project->getDescription();
	$trow[]=$project->getCreateDate();
	echo $template->tableRow($trow);
	unset($trow);
}

echo $template->tableBottom();*/

$template->footer();
?>
