<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for Role
//
require_once('core/RolePeer.php');
require_once('core/Role.php');
require_once('GFUrl.php');
require_once('html/HTMLWidget.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/templates/ProjectAdminTemplate.php');
$theme = new ProjectAdminTemplate();

$project = GFUrl::getUrl()->getProject();

$params = array(
		'project' => $project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Role.AddNewPageTitle'),
		'selectedbottomtab'	=> 'project_admin',
		);

$role_name = ((isset($_POST['role_name'])) ? htmlspecialchars($_POST['role_name']) : '' );

include('forms/RoleAdd-tpl.php');

?>
