<?php

$session = Session::getSession();
if ($session->isLoggedIn()) {
	$search_prefs = UserPreferencePeer::getUserPreferenceValue($session->getUser()->getId()
		,'site_search');
	$search_prefs = unserialize($search_prefs);
} else {
	$search_prefs = isset($_SESSION['site_search']) ? unserialize($_SESSION['site_search']) : array();
}

echo '<form style="display: inline;" action="/gf/search/" method="GET">';
if (! isset($theader)) {
	$theader = array('Search Criteria');
}


echo '<script language="javascript" type="text/javascript" src="/datetimepicker.js"></script>';
echo $template->tableTop($theader);
$trow = array();

//Keywords field
$trow[0] = '<strong>'.$lang->getText('Search.Keywords').':</strong><br /> <input type="text" style="width:250px;" name="words" value="'.$words.'" autofocus="autofocus" /><p><br />';
$trow[0] .= '<input type="hidden" name="search_trove" value="1" />';


//Search scope
$global_search = true;
if ($session->isLoggedIn()) {
	$trow[0] .= '<strong>'.$lang->getText('Search.In').':</strong><br />';
	if (isset($search_prefs['search_scope'])) {
		$global_search = $search_prefs['search_scope'] == 'all';
	}
	$trow[0] .= '<input type="radio" name="search_scope" id="search_scope_1" ' .
		($global_search ? ' checked="checked" ':'').' value="all" />'.$lang->getText('Search.AllProjects');
	$trow[0] .= '<input type="radio" name="search_scope" id="search_scope_2" ' .
		(!$global_search ? 'checked="checked" ':'') .' value="my" />' .$lang->getText('Search.MyProjects').'<br /><br />';
}


//Section
$trow[0] .= '<strong>'.$lang->getText('Search.Section').':</strong><br /> <select multiple name="search[]" style="width:250px;">';

$prs = ActionManager::notify('BUILD_SEARCH_COMBO',$params);
$default_select = !isset($_GET['search']) && count($_GET['search']);
$options = getSortedArrayFromPR($prs);

foreach ($options as $option) {
	if ($default_select) {
		$checked = " selected ";

	} else if (array_search($option['value'], $search_prefs['search']) 
		!== false) {
		$checked = " selected ";
	}else {
	$checked = " ";
	}

	$trow[0] .= '<option ' . $checked . ' value="' . $option['value'] . '">' . $option['display'] . '</option>';
}

$trow[0] .= '</select>';


//Search type (Tags or Keywords)
$trow[0] .= '<p><strong>'.$lang->getText('Search.SearchBy').'</strong><br />';
$searchByKeywords = !isset($search_prefs['search_by']) || $search_prefs['search_by'] == 'keywords';
$searchByTags = isset($search_prefs) && $search_prefs['search_by'] == 'tags';

$trow[0] .= '<input type="radio" name="search_by" value="keywords" ' .
	($searchByKeywords ? 'checked' : '') . '/>' .
	$lang->getText('Search.Keywords') . '<br />';

$trow[0] .= '<input type="radio" name="search_by" value="tags" ' .
	($searchByTags ? 'checked' : ''). ' />' .
	$lang->getText('Tag.TabHeader') .'</p>';

//Search attach files
$trow[0] .= '<p><strong>'.$lang->getText('Search.AttachedFiles').'</strong><br /><input type="checkbox" name="search_attach" value="1" '.($search_prefs['search_attach'] ? 'checked="checked"' : '').' />';

//Start date and End date
$start_date  = isset($search_prefs['startdate']) ?  $search_prefs['startdate'] : '';
$end_date = isset($search_prefs['enddate']) ? $search_prefs['enddate'] : '';

if (!$start_date) {
	$start_date = '';
}

if (!$end_date) {
	$end_date = '';
}


$trow[0] .= '<p><strong>'. $lang->getText('Search.DateRange').'</strong><br /><input id="startdate" type="text" size="11" maxlength="11" name="startdate" value="'.$start_date.'"/><a href="javascript:NewCal(\'startdate\',\'MMMddyyyy\')"><img src="/themes/gforge5/images/cal.gif" alt="Pick a date" border="0" height="16" width="16"></a>&nbsp;&nbsp;&nbsp;<input id="enddate" type="text" size="11" maxlength="11" name="enddate" value="'.$end_date.'"/><a href="javascript:NewCal(\'enddate\',\'MMMddyyyy\')"><img src="/themes/gforge5/images/cal.gif" alt="Pick a date" border="0" height="16" width="16"></a>';


$trow[0] .= '<p>' . HTMLWidget::button("submit",$language->getSessText('SearchBox.search'),"do_search","","this.submit();");
echo '</form>';

echo $template->tableRow($trow,array(),true);
echo $template->tableBottom();
