<?php

require_once('core/TagEntryPeer.php');
require_once('core/TagEntry.php');
require_once('html/UserTemplate.php');
require_once('plugins/userblog/lib/UserBlogPeer.php');
require_once('plugins/pastebin/lib/PastebinPeer.php');

$Lang = Session::getSession()->getLanguage();
$theme = new UserTemplate();

$user = GFUrl::getUrl()->getUser();

$params = array(
	'user' => $user,
	'action'=> isset($action) ? $action : '',
	'feedback'=> isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
	'title'=> $Lang->getText('Tag.AddPageTitle')
);

$ref_id = isset($_GET['ref_id']) ? htmlspecialchars($_GET['ref_id']) : (isset($_POST['ref_id']) ? htmlspecialchars ($_POST['ref_id']) : '');
$section = isset($_GET['ref_id']) ? htmlspecialchars($_GET['section']) : (isset($_POST['ref_id']) ? htmlspecialchars ($_POST['section']) : '' );
$tags = isset($_POST['tags']) ? htmlspecialchars($_POST['tags']) : '';
//$return_to = isset($_GET['return_to']) ? htmlspecialchars($_GET['return_to'])  : (isset($_POST['ret_to']) ? htmlspecialchars($_POST['return_to']) : '');
$return_to = isset($_GET['return_to']) ? $_GET['return_to']  : "";
$id = isset($_GET['id']) ? htmlspecialchars($_GET['id']) : (isset($_POST['id']) ? htmlspecialchars ($_POST['id']) : '');
$return_to .= "&id=" . $id; 

if (!isset($item)) {
	switch ($section) {
		case UserBlog::SECTION:
			$item = UserBlogPeer::retrieveByPk($ref_id);
			break;

		case Pastebin::SECTION:
			$item = PastebinPeer::retrieveByPk($ref_id);
			break;
	}
}

echo $theme->header($params);
	
include('forms/TagAdd-tpl.php');

?>
