<?php

// Check locks
$lock_file = '/tmp/gforge_crondaily.lock';
$fp = fopen($lock_file, "w+");
if (!$fp) {
	return;
}

if (!flock($fp, LOCK_EX | LOCK_NB)) {
	// Couldn't acquire exclusive lock, means another process is running
	return;
}

$base_str='cd /opt/gforge && /usr/bin/php -d include_path=".:/opt/gforge:/opt/gforge/lib:/opt/gforge/plugins:/opt/gforge/lib/external" /opt/gforge/bin/gforge cronjob  /opt/gforge';

`$base_str/plugins/mailman/cronjobs/create_threads.php`;
//`$base_str/plugins/scmcvs/cronjobs/cleanup.php`;
`$base_str/cronjobs/purge_old_entries.php`;
`$base_str/cronjobs/update_trove_count.php`;
`$base_str/cronjobs/db_stats.php`;
`$base_str/plugins/scmsvn/cronjobs/parse_svn_history.php`;
`$base_str/plugins/scmcvs/cronjobs/parse_cvs_history.php`;
`$base_str/plugins/scmgit/cronjobs/parse_git_history.php`;
`$base_str/cronjobs/calc_disk_usage.php`;
`$base_str/plugins/tracker/cronjobs/pending_tasks_email.php`;
`$base_str/cronjobs/project_snapshots.php`;
`$base_str/cronjobs/purge_deleted_projects.php`;
`$base_str/cronjobs/scm_index.php`;
`$base_str/plugins/diskquota/cronjobs/save_disk_usage.php`;
`$base_str/cronjobs/create_robots.php`;


flock($fp, LOCK_UN);
fclose($fp);

?>