<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version
 * @author Marcelo Mottalli	marcelo@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

/**
 * Cronjob that updates the trove_link_count table
 */
require_once('system/Cronjob.php');
require_once('lib/core/ProjectExportRequestPeer.php');
require_once('lib/GFExportImport.php');

class ProjectSnapshotCronjob extends Cronjob {

	public function __construct() {
		$this->jobname = basename(__FILE__);
		parent::__construct();
	}
	
	public function run() {
		$pers=ProjectExportRequestPeer::doSelect(new Criteria());
		foreach ($pers as $per) {
			$ei = new GFExportImport($per->getProject());
			$_REQUEST['feedback'] = $ei->export("PROJECT_FULLEXPORT", 'lib/systemSpecDataFull.xml');
			$per->delete();
		}
	}
}

$cronjob = new ProjectSnapshotCronjob();
$cronjob->run();

?>
