CREATE TABLE tracker_transition_script(
	tracker_transition_script_id SERIAL NOT NULL PRIMARY KEY,
	project_id INTEGER,
	script_filesystem_id INTEGER,
	script_path VARCHAR(255),
	description VARCHAR(255),
	CONSTRAINT projectid_fk FOREIGN KEY (project_id) REFERENCES project ON DELETE CASCADE,
	CONSTRAINT filesystemid_fk FOREIGN KEY (script_filesystem_id) REFERENCES filesystem(filesystem_id) ON DELETE CASCADE
);

CREATE TABLE tracker_efe_transition_enabled_script(
	tracker_extra_field_element_transition_id INTEGER NOT NULL,
	tracker_transition_script_id INTEGER NOT NULL,
	exec_order INTEGER NOT NULL DEFAULT 0,
	PRIMARY KEY(tracker_extra_field_element_transition_id, tracker_transition_script_id),
	CONSTRAINT trackerextrafieldelementtransitionid_fk FOREIGN KEY (tracker_extra_field_element_transition_id) REFERENCES tracker_extra_field_element_transition ON DELETE CASCADE,
	CONSTRAINT trackertransitionscriptid_kf FOREIGN KEY (tracker_transition_script_id) REFERENCES tracker_transition_script ON DELETE CASCADE
);
