<?php

require_once('initialize.php');
require_once('plugins/tracker/lib/TrackerItem.php');
require_once('plugins/tracker/lib/TrackerItemMessage.php');

$con = Propel::getConnection();
$sql = "SELECT tracker_item_id, details FROM tracker_item";
$stmt = $con->createStatement();
$rs = $stmt->executeQuery($sql, ResultSet::FETCHMODE_NUM);


while($rs->next()){
	if(!StringUtils::containsHTML($rs->getString(2))){
		$newDetails = StringUtils::HTMLFromPlainString($rs->getString(2));
		$tid = $rs->getInt(1);
		$stmt = $con->createStatement();
		$sql = "UPDATE tracker_item SET details = '".pg_escape_string($newDetails)."' WHERE tracker_item_id = ".$rs->getInt(1);
		$stmt->executeQuery($sql, ResultSet::FETCHMODE_NUM);
	}
}

//Message
$sql = "SELECT tracker_item_message_id, body FROM tracker_item_message";
$stmt = $con->createStatement();
$rs = $stmt->executeQuery($sql, ResultSet::FETCHMODE_NUM);

while($rs->next()){
	if(!StringUtils::containsHTML($rs->getString(2))){
		$newBody = StringUtils::HTMLFromPlainString($rs->getString(2));
		$tid = $rs->getInt(1);
		$stmt = $con->createStatement();
		$sql = "UPDATE tracker_item_message SET body = '".pg_escape_string($newBody)."' WHERE tracker_item_message_id = ".$rs->getInt(1);
		$stmt->executeQuery($sql, ResultSet::FETCHMODE_NUM);
	}
}



exit(0);
?>
