--Add new field to the docman folder table
CREATE OR REPLACE FUNCTION update_top_parent_folder() RETURNS TRIGGER AS
$$
BEGIN
IF TG_OP='INSERT' THEN
		IF NEW.parent_folder_id IS NULL OR NEW.parent_folder_id = 0 THEN
			--NEW.top_parent_folder_id = currval('docman_folder_docman_folder_id_seq'::regclass);
			NEW.top_parent_folder_id = NEW.docman_folder_id;
		ELSE
			NEW.top_parent_folder_id = get_top_folder_id(NEW.parent_folder_id);
		END IF;
	ELSIF TG_OP='UPDATE' AND NEW.parent_folder_id <> OLD.parent_folder_id  THEN
		IF NEW.parent_folder_id IS NULL OR NEW.parent_folder_id = 0 THEN
			NEW.top_parent_folder_id = NEW.docman_folder_id;
		ELSE
			NEW.top_parent_folder_id = get_top_folder_id(NEW.parent_folder_id);
		END IF;
	END IF;

RETURN NEW;

END
$$ 
LANGUAGE plpgsql;
