<?php
require_once('initialize.php');
require_once('core/Project.php');
require_once('core/ProjectPeer.php');

//Gforge's default templates
$templates = array('svn_project', 'cvs_project', 'git_project', 'generic_project');

//Get project templates

foreach($templates as $tmpl) {
	$project = ProjectPeer::retrieveByUnixName($tmpl);
	if ($project && $project->getIsTemplate() &&$project->isActive() && !$project->usesPlugin('wiki')) {
		$project->enablePlugin('wiki');
	}
}