CREATE TABLE tracker_sprint (
    sprint_id serial PRIMARY KEY,
    project_id integer NOT NULL REFERENCES project,
    sprint_progression integer,
    sprint_name text NOT NULL,
    sprint_start date DEFAULT now(), 
    sprint_end date DEFAULT now()
);

ALTER TABLE tracker_item ADD sprint_id integer; 
ALTER TABLE ONLY tracker_item
  ADD CONSTRAINT sprintid_fk FOREIGN KEY (sprint_id) REFERENCES tracker_sprint(sprint_id);
CREATE SEQUENCE tracker_sprint_tracker_sprint_id_seq;
