#!/bin/env php
<?php
require_once('initialize.php');
require_once('GFConf.php');
require_once("lib/SystemUtils.php");

require_once('plugins/tracker/lib/TrackerSprintPeer.php');
$c = new Criteria();
$c->addAscendingOrderByColumn(TrackerSprintPeer::SPRINT_ID);
$sprints = TrackerSprintPeer::doSelect($c);  // We want all of the sprints

foreach ($sprints as $sprint) {
    $next = TrackerSprintPeer::getMaxTrackerSprintNumber($sprint->getProject()->getProjectId()) + 1;
    $sprint->setSprintProgression($next);
    $sprint->save();
}
