<?php 

require_once('initialize.php');
require_once('GFConf.php');
require_once('core/TroveLink.php');

$con = Propel::getConnection();

// Create trove category to serve as template projects container
$sql = "INSERT INTO trove_category (root_trove_category_id, parent_trove_category_id, alias, category_name, description, show_in_search, access_level) "
		. "VALUES (0, 0, 'gfprojtemplates', 'GForge Project Templates', 'GForge Project Templates', false, 0);";
$con->createStatement()->executeUpdate($sql);

// Create setting to store new trove's id
$sql = "INSERT INTO setting (section, ref_id, setting_name, setting_value, set_date) "
		. "SELECT 'config', 0, 'system.troveGfProjTemplates', 'i:'||CAST(max(trove_category_id) AS text)||';', now() FROM trove_category;";
$con->createStatement()->executeUpdate($sql);

// Link existing project templates to template projects container
$sql = "SELECT project_id FROM project WHERE is_template=true";
$template = $con->createStatement()->executeQuery($sql, ResultSet::FETCHMODE_ASSOC);
while($template->next()) {
	$template_id = $template->getInt('project_id');
	$sql = "INSERT INTO trove_link (section, ref_id, trove_category_id) "
			. "SELECT 'project', $template_id, max(trove_category_id) FROM trove_category";
	$con->createStatement()->executeUpdate($sql);
}

exit(0);