<?php
require_once('initialize.php');
require_once('GFConf.php');

$plugin_path = GFConf::get('system.pluginsPath');
$file_name = 'ssh_create.php';
$origin_path = $plugin_path.DIRECTORY_SEPARATOR.'scmcvs'.DIRECTORY_SEPARATOR.'cronjobs';
$dest_path = $plugin_path.DIRECTORY_SEPARATOR.'scm'.DIRECTORY_SEPARATOR.'cronjobs';

if (!file_exists($dest_path)) {
	$failure = exec('mkdir -p '. $dest_path);
	if ($failure) {
		echo "Couldn't create cronjob directory for scm plugin";
		exit($failure);
	}
}
if (file_exists($origin_path))  {
	$failure = exec('mv '.$origin_path.DIRECTORY_SEPARATOR.$file_name . ' ' . $dest_path.DIRECTORY_SEPARATOR.$file_name);
	if ($failure) {
		echo " Couldn't move $file_name from  $origin_path  to $dest_path \n";
		exit($failure);
	}
}

exit(0);