<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez ruben@gforgegroup.com
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo '<script language="javascript" type="text/javascript" src="';
echo GFUrl::getUrl()->projectUrl($params['project'],'js','build','admin').'"></script>';
echo CCHelper::techsToJavaScript($techs, $sel_assignees);
echo '<p><div class="infobox">'.$Lang->getText('Build.AddBuildDescription').'</div></p>';
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('BuildAddAction') ?>" method="POST">
	<table border="0">
		<tr>
			<td valign="top">
			<table border="0">
				<tr>
					<td><strong><?php echo $Lang->getText('Build.Tracker'); ?></strong><br />
						<?php echo CCHelper::selectBoxFromAssoc($trackers,'tracker', $tracker_id, 'onChange="_changeOptions(\'assigned_to[]\', this.options[this.selectedIndex].value, trackers, techs)"'); ?>
					</td>
				</tr>
				<tr>
					<td><strong><?php echo $Lang->getText('TrackerItem.AssignedTo'); ?></strong><br />
						<?php echo CCHelper::selectBoxFromAssoc($techs[100], 'assigned_to[]', null, 'multiple="multiple" size="8"'); ?>
						<?php if ($tracker_id > 0) echo CCHelper::trackerJavaScript($tracker_id); ?>
					</td>
				</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('Build.BuildSubmitter'); ?></strong><br />
				<?php echo HTMLWidget::selectBoxFromAssoc($users,'user_id',$user_id, false, false) ?>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('Build.BuildNameName'); ?>*</strong><br />
				<input type="text" name="build_name" size="40" value="<?php echo $build_name;?>" />
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('Build.BuildDescriptionName'); ?>*</strong><br />
				<textarea name="build_desc" rows="5" cols="40"><?php echo $build_description;?></textarea>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('Common.Submit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','build','admin',array()) . "'; ")?>
			</td>
			</tr>
		</tr>
	</table>

</form>
