<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author 	Marcelo Mottalli <marcelo@gforgegroup.com>
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
 
require_once('initialize.php');
require_once('MailParser.php');
require_once('session/Session.php');

require_once('plugins/docman/lib/DocmanFile.php');
require_once('plugins/docman/lib/DocmanFileFolder.php');


try {
	$c = new Criteria();
	$docman_files = DocmanFilePeer::doSelect($c);
	
	foreach ($docman_files as $docman_file) {
		$c = new Criteria();
		$c->add(DocmanFileFolderPeer::DOCMAN_FOLDER_ID, $docman_file->getDocmanFolderId());
		$c->add(DocmanFileFolderPeer::DOCMAN_FILE_ID, $docman_file->getDocmanFileId());
		$docman_file_folder = DocmanFileFolderPeer::doSelectOne($c);
		
		if (!is_object($docman_file_folder)) {
			$docman_file_folder = new DocmanFileFolder();
			$docman_file_folder->setDocmanFolderId($docman_file->getDocmanFolderId());			
			$docman_file_folder->setDocmanFileId($docman_file->getDocmanFileId());
			$docman_file_folder->save();
		}
	}
} catch (Exception $ex) {

}
?>
