<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code moves a docman file to another folder
// database
//
require_once('plugins/docman/lib/DocmanFile.php');
require_once('Validator.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');
require_once('plugins/docman/lib/FastJSON.php');

$file_version_id = isset($_GET['file_version_id']) ? intval($_GET['file_version_id']) : 0;
$docman_file_version = DocmanFileVersionPeer::retrieveByPk($file_version_id);

if (is_object($docman_file_version)) {
	$docman_file = $docman_file_version->getDocmanFile();
	$count = count($docman_file->getDocmanFileVersions());
	
	header('HTTP/1.1 200');
	$arr_feedback = array("dfv_count" => $count);
	echo FastJSON::encode($arr_feedback);
	exit;
} else {
	header('HTTP/1.1 401');
	$arr_feedback = array();
	$arr_feedback["error_message"] = "invalid id";
	echo FastJSON::encode($arr_feedback);
	exit;
}

?>
