<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code lists Forum
//
require_once('plugins/forum/lib/ForumPeer.php');
require_once('plugins/forum/lib/Forum.php');
require_once('plugins/forum/lib/html/ForumFormRenderer.php');

$kept_variables = array('action');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/forum/lib/html/ForumTemplate.php');
$theme = new ForumTemplate();

$url = GFUrl::getUrl();
$project = $url->getProject();

$renderer = new ForumFormRenderer('project', $project->getProjectId(), $theme, $Lang, $kept_variables);

$params = array(
		'project' => $project,
		'selectedbottomtab' => 'forum',
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Forum.BrowsePageTitle'),
		'enableUploads' => $renderer->mustEnableUploads(),
		);
$theme->header($params);

echo $renderer->showForumBrowseForm();

$theme->footer($params);
?>
