<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for FrsPackage
//
require_once('plugins/frs/lib/FrsPackagePeer.php');
require_once('plugins/frs/lib/FrsPackage.php');
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/frs/lib/html/FrsAdminTemplate.php');
$theme = new FrsAdminTemplate();

$Project = GFUrl::getUrl()->getProject();

$params = array(
		'project' => $Project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('FrsPackage.AddNewPageTitle')
		);

$package_name=((isset($_POST['package_name'])) ? htmlspecialchars($_POST['package_name']) : '' );
$status_id=((isset($_POST['status_id'])) ? htmlspecialchars($_POST['status_id']) : '' );
$is_public=((isset($_POST['is_public'])) ? htmlspecialchars($_POST['is_public']) : '' );
$require_login=((isset($_POST['require_login'])) ? htmlspecialchars($_POST['require_login']) : '' );

include('forms/FrsPackageAdd-tpl.php');

?>
