<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('Frs.AddFrsPackageDescription').'</div></p>';
?>
<p>
<strong>Package Options</strong>
<ul>
<li><a href="<?php echo GFUrl::getUrl()->currentBaseUrl('FrsReleaseBrowse'); ?>&amp;frs_package_id=<?php echo Validator::sanitizeInt($_REQUEST['frs_package_id']); ?>"><?php echo $Lang->getText('FrsPackage.EditReleases'); ?></a></li>
<li><a href="<?php echo GFUrl::getUrl()->currentBaseUrl('FrsPackageDelete'); ?>&amp;frs_package_id=<?php echo Validator::sanitizeInt($_REQUEST['frs_package_id']); ?>"><?php echo $Lang->getText('Delete'); ?></a></li>
</ul>
</p>
<br />
<p>
<strong><?php echo $Lang->getText('FrsPackage.EditPageTitle'); ?></strong>
</p>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('FrsPackageEditAction') ?>" method="POST">
	<input type="hidden" name="frs_package_id" value="<?php echo $_REQUEST['frs_package_id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('FrsPackage.PackageNameName'); ?>&nbsp;*</strong><br />
			<input type="text" name="package_name" value="<?php echo $package_name; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsPackage.StatusIdName'); ?></strong><br />
			<input type="checkbox" name="status_id" value="<?php echo $status_id; ?>" <?php echo (($status_id==1) ? 'checked="checked"' : '' ); ?> /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsPackage.IsPublicName'); ?></strong><br />
			<input type="checkbox" name="is_public" value="1" <?php echo (($is_public==1) ? 'checked="checked"' : '' ); ?> /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsPackage.RequireLoginName'); ?></strong><br />
			<input type="checkbox" name="require_login" value="1" <?php echo (($require_login==1) ? 'checked="checked"' : '' ); ?> /></td>
		</tr>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','frs','admin',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
