<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('Frs.AddFrsReleaseDescription').'</div></p>';
?>
<script language="javascript" type="text/javascript" src="/datetimepicker.js">
</script>

<?php echo $uploadHandler->getJavascriptSetup(); ?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('FrsReleaseEditAction') ?>" method="POST" enctype="multipart/form-data">
	<input type="hidden" name="frs_release_id" value="<?php echo $_REQUEST['frs_release_id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ReleaseNameName'); ?>&nbsp;*</strong><br />
			<input type="text" name="release_name" value="<?php echo $release_name; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ReleaseNotesName'); ?></strong><br />
			<textarea name="release_notes" rows="10" cols="60"><?php echo $release_notes; ?></textarea></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ChangesName'); ?></strong><br />
			<textarea name="changes" rows="10" cols="60"><?php echo $changes; ?></textarea></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.StatusIdName'); ?></strong><br />
			<input type="checkbox" name="status_id" value="1"<?php echo (($status_id==1) ? ' checked="checked"' : ''); ?> /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.PreformattedName'); ?></strong><br />
			<input type="checkbox" name="preformatted" value="1"<?php echo (($preformatted=='1') ? ' checked="checked"' : ''); ?>/></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.IsReleasedName'); ?></strong><br />
			<?php
			if ($is_released==1) {
				echo $Lang->getText('Common.Yes');
			} else {
			?>
				<input type="checkbox" name="is_released" value="1" /></td>
			<?php } ?>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ReleaseDateName'); ?></strong><br />
			<input id="releasedate" type="text" name="release_date" value="<?php echo $release_date; ?>" size="11" maxlength="11" /><a href="javascript:NewCal('releasedate','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Trove.DevStatus'); ?></strong>
		</tr>
		<tr>
			<td>
			<?php
			$crit = new Criteria();
			$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveDevStatus'));
			$arr = TroveCategoryPeer::doSelect($crit);
			if (count($arr)>0) {
				echo HTMLWidget::select('trove_devstatus', $arr, $selectTrove, false, null, false, null);			
			}
			?>
			</td>
		</tr>
		</table>
<div id="mainTabSet" class="tabber">
<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='attachments') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('TrackerItem.Tabs.Files') ?>" id="filestab">
	<table>
		</tr>
		<?php
		$path = GFConf::get('system.ftp_upload_dir');
		$prUnixName = $Project->getUnixName();
		$isUploadEnable = GFConf::get('system.ftp_upload');
		if ($isUploadEnable && is_dir($path.$prUnixName)){
		?>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ProjectUploadFiles'); ?></strong><br />
			<?php
				$handle = opendir($path.$prUnixName);
				$frs_files = array();
				//$frs_files[] = 'None';
				$frs_files[] = 'None';
				?>
				<input type="hidden" name="frs_files[0]" value="None">
				<?php
				$i = 1;
				while (false !== ($filesinpath = readdir($handle))) {
					if ($filesinpath !== '.' && $filesinpath !== '..') {
						$frs_files[] = $filesinpath;
						?>
						<input type="hidden" name="frs_files[<?php echo $i; ?>]" value="<?php echo $filesinpath; ?>">
						<?php
						$i++;
					}
					 					 
				}
				//$selectedFiles = array();
				//$selectedFiles[] = 0;
				//echo HTMLWidget::multiselectFromAssoc('files', $frs_files, $selectedFiles, false, null, 	false, null);
				echo HTMLWidget::selectBoxFromAssoc($frs_files, 'files',0, false, null, false, null);
				?>
				</td>
		</tr>
		<?php } ?>
		<tr>
			<td><div class="upload_widget"></div></td>
		</tr>

	</table>
</div>
<?php
$settings = FrsProjectSettingPeer::retrieveByPk(GFUrl::getUrl()->getProject()->getProjectId());
if(!$settings || $settings->getShowAssociationsTab()){
?>
	<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='associations') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('Associations') ?>" id="associationstab">
<?php
	echo renderAssociationList(FrsRelease::SECTION,$FrsRelease->getFrsReleaseId(),$FrsRelease->userCanUpdate(),$theme,GFUrl::getUrl()->getProject());
?>
	</div>
<?php }

if(!$settings || $settings->getShowTagsTab()){
?>
	<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='tags') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('Tag.TabHeader') ?>" id="tagstab">
<?php 
echo TagsRenderer::getTagsTable($FrsRelease->getFrsReleaseId(), FrsRelease::SECTION, $theme, $FrsRelease->getFrsPackageId());

?>
</div>
<?php } ?>
<br/>

	<center>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'FrsReleaseBrowse','frs','admin',array('frs_package_id' => $FrsPackage->getFrsPackageId())) . "'; ")?>
	</center>
</form>

<?php
$theme->footer($params);
?>
