<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
echo $theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('Mailman.AddMailmanDescription').'</div></p>';
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('MailmanAddAction') ?>" method="POST">
<p>
	<strong><?php echo $Lang->getText('MailmanAddNew.MailingListNameName'); ?>:&nbsp;*</strong><br />
	<?php echo $project->getUnixName(); ?>-<input type="text" name="list_name"  size="10" maxlength="12" />@<?php echo GFConf::get('mailman.listsHost'); ?>
</p>
<p>
	<strong><?php echo $Lang->getText('MailmanEdit.IsPublicName'); ?></strong><br />
	<input type="radio" name="is_public" value="1" checked /> <?php echo $Lang->getText('MailmanEdit.Yes'); ?><br />
	<input type="radio" name="is_public" value="0" /> <?php echo $Lang->getText('MailmanEdit.No'); ?>
</p>		
<p>
	<strong><?php echo $Lang->getText('Mailman.DescriptionName'); ?></strong><br />
	<input type="text" name="description" size="40" maxlength="80" />
</p>	
<p>
	<?php echo HTMLWidget::button("submit","" .   $Lang->getText('MailmanAddNew.submit') . " ","submit","","")?>
	<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','mailman','admin',array()) . "'; ")?>
</p>	

</form>

<?php
echo $theme->footer($params);
?>
