<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
$CKEditor = new GFCKEditor();
if ($this->action == 'ForumThreadAdd') { 
	$str_display = 'block'; 
} else { 
	$str_display = 'none';
};
?>

<a href="javascript:;" onclick="$(this).siblings('.new_thread_section').first().slideToggle();"
   style="display: block; font-weight: bold; margin: .5em 0 1em 0;"
   title="<?php echo $Lang->getText('ForumThread.AddNew'); ?>">
	   <?php echo $Lang->getText('ForumThread.AddNew'); ?></a>
<div class="new_thread_section" style="display: <?php echo $str_display; ?>; margin: 0 0 1em 0;">
<form name="news_thread_add" id="news_thread_add_<?php echo $id; ?>" action="<?php echo GFUrl::getUrl()->currentBaseUrl('') . '?_forum_action=ForumThreadAdd&forum_id=' . $forum_id . '&id=' . $id; ?>" method="POST" enctype="multipart/form-data">
	<table style="width: 70%; min-width: 400px; border: none;">
		<input type="hidden" name="forum_id" value="<?php echo $forum_id; ?>" />
		<input type="hidden" name="forum_thread_add_submit" value="1" />
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.ThreadNameName'); ?>:&nbsp;*</strong><br />
			<input type="text" name="thread_name" value="<?php echo $thread_name; ?>" size="60" maxlength="90"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.Message'); ?>:&nbsp;*</strong><br />
			<textarea name="message" id="message"></textarea>
			<?php $CKEditor->replace('message', $message); ?>
		</tr>
		<tr>
			<td>
				<a style="display: block; margin: .5em 0 1em 0;" href="javascript:;" onclick="$(this).siblings('.message-file-upload').first().slideToggle();" title="<?php echo $Lang->getText('Filesystem.AddNew'); ?>"><?php echo $Lang->getText('Filesystem.AddNew'); ?></a>
				<div class="message-file-upload" style="display: none; border: none; margin: 0 0 1em .5em; padding: .25em 0 .25em .25em;">
					<input style="display: block; margin: 4px 0 4px 0;" name="addfile[]" size="30" type="file" />
					<input style="display: block; margin: 4px 0 4px 0;" name="addfile[]" size="30" type="file" />
					<input style="display: block; margin: 4px 0 4px 0;" name="addfile[]" size="30" type="file" />
					<input style="display: block; margin: 4px 0 4px 0;" name="addfile[]" size="30" type="file" />
					<input style="display: block; margin: 4px 0 4px 0;" name="addfile[]" size="30" type="file" />
				</div>
			</td>
		</tr>
		<?php if (GFConf::get('forum.useCaptcha') == true) {
			require_once('securimage/captcha_block.php');
		} ?>
		<tr>
			<td>	
					<?php echo HTMLWidget::button("submit",$Lang->getText('ForumMessage.PostReply'),"news_thread_add_<?php echo $id; ?>","",""); ?>
					<?php echo HTMLWidget::button("button",$Lang->getText('Common.Back'),"back","","document.getElementById('new_thread').innerHTML = '';"); ?>
		
			</td>
		</tr>
	</table>
</form>
</div>