<h3><?php echo $Lang->getText('Pastebin.NewPaste')?></h3>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('PastebinAddAction') ?>" name="pastebinpost" id="pastebinpost" method="post" enctype="multipart/form-data">
	<table border="0" align="left">
		<tr><td>
				<strong><?php echo $Lang->getText('Pastebin.Title'); ?>:</strong><br />
				<input type="text" name="title" value="<?php echo (is_object($pastebin) ? $pastebin->getTitle() : ''); ?>" size="60" maxlength="90" />
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('Pastebin.Language'); ?>:</strong><br />
				<?php echo HTMLWidget::selectBoxFromAssoc($languages, "language", '');	?>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('Pastebin.Expiration'); ?>:</strong><br />
				<?php echo HTMLWidget::selectBoxFromAssoc($expirations, "expiration", $expirations[0], false, false);	?>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<table width="900px">
					<tr>
						<td>
							<strong><?php echo $Lang->getText('Pastebin.Exposure'); ?>:</strong><br />
							<?php echo HTMLWidget::selectBoxFromAssoc($exposures, "exposure", $exposures[0], false, false);	?>
						</td>
						<td width="100%">
							<span id="project" style="display: none">
								<strong><?php echo $Lang->getText('Pastebin.Project'); ?>:</strong><br />
								<?php echo HTMLWidget::selectBoxFromAssoc($user_projects, "project");	?>
							</span>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('Pastebin.Content'); ?>:</strong><br />
				<textarea name="content" cols="110" rows="30"><?php echo (is_object($pastebin) ? $pastebin->getContent() : '') ?></textarea>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('Pastebin.SendToUsers'); ?>:</strong><br />
				<?php echo '<input type="text" name="share_users" size="60" value="'.$share_users.'" />&nbsp;&nbsp;<a href="javascript:void(0);" onclick="popup(\''.GFUrl::getUrl()->baseURL('findusers', '', 'admin/popups', array('search' => 'user_0', 'type' => 'user')).'&formname=pastebinpost&js_accumulate_users=1&words=\' + document.pastebinpost.share_users.value, \'300\', \'200\');">'.Language::getSessText('ProjectAdmin.PopupAddUser').'</a>' ?>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo $Lang->getText('Pastebin.Tags'); ?>:</strong><br />
				<textarea name="tags" cols="60" rows="3"><?php echo $tags; ?></textarea>
			</td>
		</tr>
		<tr><td align="center">
				<?php echo HTMLWidget::button("submit",$Lang->getText('Common.Submit'),"pastebin_submit","",""); ?>
			</td></tr>
	</table>
</form>
<script>
	$(function() {
		$('[name="project"]').chosen({width: "300px"});

		$('[name="exposure"]').off('change').on('change', function() {
			var selected = this.options[this.selectedIndex].value;
			if (selected == <?php echo Pastebin::EXPOSURE_PROJECT ?>) {
				$('#project').css('display', 'block');
			} else {
				$('#project').css('display', 'none');
			}
		});
	});
</script>
