<h3><?php echo $Lang->getText('Pastebin.RecentPastes')?></h3>
<div id="previous_pastes">
	<?php
	foreach($pastebins as $pastebin) {
		$post_user = UserPeer::retrieveByPk($pastebin->getPostedBy());
	?>
		<span>
			<table>
				<tr>
					<td valign="top">
						<img id="imgavatar" style="max-height:25px;max-width:25px" src="<?php echo $post_user->getAvatarUrl(); ?>" alt="avatar" />
					</td>
					<td>
						<span class="pastebin-title-small"><?php echo ( ($pastebin->getTitle() != '') ? $pastebin->getTitle() : $Lang->getText('Pastebin.UndefinedTitle') ); ?></span><br />
						<span class="pastebin-panel-title-time">pasted <?php echo StringUtils::timePassedSince($pastebin->getPostDate()); ?> by <?php echo $post_user->getFullName(); ?></span>
					</td>
				</tr>
			</table>
		</span>
		<div>
			<div class="pastebin-panel-content">
				<p>
					<?php echo nl2br(StringUtils::truncateString($pastebin->getContent(), 100)); ?>
					<br /><br />
					<a href="<?php echo $pastebin->getPasteUrl(); ?>">See more...</a>
				</p>
			</div>
		</div>
	<?php } ?>
</div>
