<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('plugins/scm/lib/ScmServerPeer.php');
require_once('plugins/scm/lib/ScmServer.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('lib/html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$ScmServer = ScmServerPeer::retrieveByPk($_GET['id']);
if (!is_object($ScmServer) || !$ScmServer->userCanDelete()) {
	throw new PermissionDeniedException();
}

$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('ScmServer.DeletePageTitle')
		);

include('forms/ScmServerDelete-tpl.php');

?>