<?php 

require_once 'propel/om/BaseObject.php';

 
require_once 'propel/om/Persistent.php';

 

include_once 'propel/util/Criteria.php';
 

// (on-demand) include_once 'plugins/tracker/lib/TrackerExtraFieldElement.php';
// (on-demand) include_once 'plugins/tracker/lib/TrackerExtraFieldElementPeer.php';
 

// (on-demand) include_once 'plugins/tracker/lib/TrackerExtraFieldElement.php';
// (on-demand) include_once 'plugins/tracker/lib/TrackerExtraFieldElementPeer.php';

include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionPeer.php';

/**
 * Base class that represents a row from the 'tracker_extra_field_element_transition' table.
 *
 *  
 *
 * You should not use this class directly.  It should not even be
 * extended; all references should be to TrackerExtraFieldElementTransition class. 
 * 
 * @package plugins.tracker.lib 
 */
abstract class BaseTrackerExtraFieldElementTransition extends BaseObject implements Persistent {
	
	/** 
	 * The Peer class.
	 * Instance provides a convenient way of calling static methods on a class
	 * that calling code may not be able to identify.
	 * @var TrackerExtraFieldElementTransitionPeer
	 */
	protected static $peer;

	/**
	 * The value for the tracker_extra_field_element_transition_id field.
	 * @var int	  
	 */
	protected $tracker_extra_field_element_transition_id;	

	/**
	 * The value for the element_id field.
	 * @var int	  
	 */
	protected $element_id;	

	/**
	 * The value for the to_element_id field.
	 * @var int	  
	 */
	protected $to_element_id;	

	/**
	 * The value for the notification_message field.
	 * @var string	  
	 */
	protected $notification_message;	
  
	/**
	 * Get the TrackerExtraFieldElementTransitionId column value.
	 *  
	 * @return int	  
	 */
	public function getTrackerExtraFieldElementTransitionId()
	{
		return $this->tracker_extra_field_element_transition_id;
	}


	/**
	 * Set the value of `tracker_extra_field_element_transition_id` column.	  
	 *  
	 * @param int $v new value
	 * @return void
	 * @throws PropelException 
	 */
	public function setTrackerExtraFieldElementTransitionId($v)
	{
		if ($this->tracker_extra_field_element_transition_id !== $v) {
			$this->tracker_extra_field_element_transition_id = $v;
			$this->modifiedColumns[] = TrackerExtraFieldElementTransitionPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID;
		}
			
		  // update associated TrackerEfeTransitionReassign		  
		  if ($this->collTrackerEfeTransitionReassigns !== null) {
			  for ($i=0,$size=count($this->collTrackerEfeTransitionReassigns); $i < $size; $i++) {
				  $this->collTrackerEfeTransitionReassigns[$i]->setTrackerExtraFieldElementTransitionId($v);
			  }
		  }
			  	
		  // update associated TrackerEfeTransitionTrigger		  
		  if ($this->collTrackerEfeTransitionTriggers !== null) {
			  for ($i=0,$size=count($this->collTrackerEfeTransitionTriggers); $i < $size; $i++) {
				  $this->collTrackerEfeTransitionTriggers[$i]->setTrackerExtraFieldElementTransitionId($v);
			  }
		  }
			  	
		  // update associated TrackerExtraFieldElementTransitionRole		  
		  if ($this->collTrackerExtraFieldElementTransitionRoles !== null) {
			  for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionRoles); $i < $size; $i++) {
				  $this->collTrackerExtraFieldElementTransitionRoles[$i]->setTrackerExtraFieldElementTransitionId($v);
			  }
		  }
			  	
		  // update associated TrackerExtraFieldElementTransitionNotify		  
		  if ($this->collTrackerExtraFieldElementTransitionNotifys !== null) {
			  for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionNotifys); $i < $size; $i++) {
				  $this->collTrackerExtraFieldElementTransitionNotifys[$i]->setTrackerExtraFieldElementTransitionId($v);
			  }
		  }
			  	
		  // update associated TrackerExtraFieldElementTransitionField		  
		  if ($this->collTrackerExtraFieldElementTransitionFields !== null) {
			  for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionFields); $i < $size; $i++) {
				  $this->collTrackerExtraFieldElementTransitionFields[$i]->setTrackerExtraFieldElementTransitionId($v);
			  }
		  }
			  	
		  // update associated TrackerEfeTransitionEnabledScript		  
		  if ($this->collTrackerEfeTransitionEnabledScripts !== null) {
			  for ($i=0,$size=count($this->collTrackerEfeTransitionEnabledScripts); $i < $size; $i++) {
				  $this->collTrackerEfeTransitionEnabledScripts[$i]->setTrackerExtraFieldElementTransitionId($v);
			  }
		  }
			  		
	}

  
	/**
	 * Get the ElementId column value.
	 *  
	 * @return int	  
	 */
	public function getElementId()
	{
		return $this->element_id;
	}


	/**
	 * Set the value of `element_id` column.	  
	 *  
	 * @param int $v new value
	 * @return void
	 * @throws PropelException 
	 */
	public function setElementId($v)
	{
		if ($this->element_id !== $v) {
			$this->element_id = $v;
			$this->modifiedColumns[] = TrackerExtraFieldElementTransitionPeer::ELEMENT_ID;
		}
			
		if ($this->aTrackerExtraFieldElementRelatedByElementId !== null && $this->aTrackerExtraFieldElementRelatedByElementId->getElementId() !== $v) {
			$this->aTrackerExtraFieldElementRelatedByElementId = null;
		}
			
	}

  
	/**
	 * Get the ToElementId column value.
	 *  
	 * @return int	  
	 */
	public function getToElementId()
	{
		return $this->to_element_id;
	}


	/**
	 * Set the value of `to_element_id` column.	  
	 *  
	 * @param int $v new value
	 * @return void
	 * @throws PropelException 
	 */
	public function setToElementId($v)
	{
		if ($this->to_element_id !== $v) {
			$this->to_element_id = $v;
			$this->modifiedColumns[] = TrackerExtraFieldElementTransitionPeer::TO_ELEMENT_ID;
		}
			
		if ($this->aTrackerExtraFieldElementRelatedByToElementId !== null && $this->aTrackerExtraFieldElementRelatedByToElementId->getElementId() !== $v) {
			$this->aTrackerExtraFieldElementRelatedByToElementId = null;
		}
			
	}

  
	/**
	 * Get the NotificationMessage column value.
	 *  
	 * @return string	  
	 */
	public function getNotificationMessage()
	{
		return $this->notification_message;
	}


	/**
	 * Set the value of `notification_message` column.	  
	 *  
	 * @param string $v new value
	 * @return void
	 *  
	 */
	public function setNotificationMessage($v)
	{
		if ($this->notification_message !== $v) {
			$this->notification_message = $v;
			$this->modifiedColumns[] = TrackerExtraFieldElementTransitionPeer::NOTIFICATION_MESSAGE;
		}
				
	}


	
	/**
	 * Hydrates (populates) the object variables with values from the database resultset.
	 *
	 * An offset (1-based "start column") is specified so that objects can be hydrated
	 * with a subset of the columns in the resultset rows.  This is needed, for example,
	 * for results of JOIN queries where the resultset row includes columns from two or
	 * more tables.
	 *
	 * @param ResultSet $rs The ResultSet class with cursor advanced to desired record pos.
	 * @param int $startcol 1-based offset column which indicates which restultset column to start with.
	 * @return void
	 * @throws PropelException  - Any caught Exception will be rewrapped as a PropelException.
	 */
	public function hydrate(ResultSet $rs, $startcol = 1)
	{
		try {
			$this->tracker_extra_field_element_transition_id = $rs->getInt($startcol + 0);					
			$this->element_id = $rs->getInt($startcol + 1);					
			$this->to_element_id = $rs->getInt($startcol + 2);					
			$this->notification_message = $rs->getString($startcol + 3);					
			 
			$this->resetModified();
			$this->setNew(false);
		
		} catch (Exception $e) {
			throw new PropelException("Error populating TrackerExtraFieldElementTransition object", $e);
		}		
	
	}
	
	/**
	 * Builds a Criteria object containing the primary key for this object.
	 *
	 * Unlike buildCriteria() this method includes the primary key values regardless
	 * of whether or not they have been modified.
	 * 
	 * @return Criteria The Criteria object containing value(s) for primary key(s).
	 */
	public function buildPkeyCriteria()
	{		
		$criteria = new Criteria(TrackerExtraFieldElementTransitionPeer::DATABASE_NAME);
		$criteria->add(TrackerExtraFieldElementTransitionPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->tracker_extra_field_element_transition_id);
		return $criteria;			
	}
	
	/**
	 * Build a Criteria object containing the values of all modified columns in this object.
	 *
	 * @return Criteria The Criteria object containing all modified values.
	 */
	public function buildCriteria()
	{		
		$criteria = new Criteria(TrackerExtraFieldElementTransitionPeer::DATABASE_NAME);
		if ($this->isColumnModified(TrackerExtraFieldElementTransitionPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID)) $criteria->add(TrackerExtraFieldElementTransitionPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->tracker_extra_field_element_transition_id);
		if ($this->isColumnModified(TrackerExtraFieldElementTransitionPeer::ELEMENT_ID)) $criteria->add(TrackerExtraFieldElementTransitionPeer::ELEMENT_ID, $this->element_id);
		if ($this->isColumnModified(TrackerExtraFieldElementTransitionPeer::TO_ELEMENT_ID)) $criteria->add(TrackerExtraFieldElementTransitionPeer::TO_ELEMENT_ID, $this->to_element_id);
		if ($this->isColumnModified(TrackerExtraFieldElementTransitionPeer::NOTIFICATION_MESSAGE)) $criteria->add(TrackerExtraFieldElementTransitionPeer::NOTIFICATION_MESSAGE, $this->notification_message);
		return $criteria;			
	}
	
	

	/**
	 * @var TrackerExtraFieldElement	  
	 */
	protected $aTrackerExtraFieldElementRelatedByElementId;

	/**
	 * Declares an association between this object and a TrackerExtraFieldElement object
	 *
	 * @param TrackerExtraFieldElement $v
	 * @return void
	 * @throws PropelException
	 */
	public function setTrackerExtraFieldElementRelatedByElementId($v)
	{
			
		if ($v === null) {
			$this->setElementId(NULL);
		} else {
			$this->setElementId($v->getElementId());
		}
   
		$this->aTrackerExtraFieldElementRelatedByElementId = $v;
	}


	/**
	 * Get the associated TrackerExtraFieldElement object
	 *
	 * @param Connection Optional Connection object.
	 * @return TrackerExtraFieldElement The associated TrackerExtraFieldElement object.
	 * @throws PropelException
	 */
	public function getTrackerExtraFieldElementRelatedByElementId($con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementPeer.php';

		if ($this->aTrackerExtraFieldElementRelatedByElementId === null && ($this->element_id !== null)) {
	
			$this->aTrackerExtraFieldElementRelatedByElementId = TrackerExtraFieldElementPeer::retrieveByPK($this->element_id, $con);
	
			/* The following can be used instead of the line above to
			   guarantee the related object contains a reference
			   to this object, but this level of coupling
			   may be undesirable in many circumstances.
			   As it can lead to a db query with many results that may
			   never be used.
			   $obj = TrackerExtraFieldElementPeer::retrieveByPK($this->element_id, $con);
			   $obj->addTrackerExtraFieldElementTransitionsRelatedByElementId($this);
			 */
		}
		return $this->aTrackerExtraFieldElementRelatedByElementId;
	}

	/**
	 * Provides convenient way to set a relationship based on a
	 * key.  e.g.
	 * <code>$bar->setFooKey($foo->getPrimaryKey())</code>
	 *
 
	 * @return void
	 * @throws PropelException
	 */
	public function setTrackerExtraFieldElementRelatedByElementIdKey($key)
	{

		$this->setElementId( (int) $key);			
		
	}

	/**
	 * @var TrackerExtraFieldElement	  
	 */
	protected $aTrackerExtraFieldElementRelatedByToElementId;

	/**
	 * Declares an association between this object and a TrackerExtraFieldElement object
	 *
	 * @param TrackerExtraFieldElement $v
	 * @return void
	 * @throws PropelException
	 */
	public function setTrackerExtraFieldElementRelatedByToElementId($v)
	{
			
		if ($v === null) {
			$this->setToElementId(NULL);
		} else {
			$this->setToElementId($v->getElementId());
		}
   
		$this->aTrackerExtraFieldElementRelatedByToElementId = $v;
	}


	/**
	 * Get the associated TrackerExtraFieldElement object
	 *
	 * @param Connection Optional Connection object.
	 * @return TrackerExtraFieldElement The associated TrackerExtraFieldElement object.
	 * @throws PropelException
	 */
	public function getTrackerExtraFieldElementRelatedByToElementId($con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementPeer.php';

		if ($this->aTrackerExtraFieldElementRelatedByToElementId === null && ($this->to_element_id !== null)) {
	
			$this->aTrackerExtraFieldElementRelatedByToElementId = TrackerExtraFieldElementPeer::retrieveByPK($this->to_element_id, $con);
	
			/* The following can be used instead of the line above to
			   guarantee the related object contains a reference
			   to this object, but this level of coupling
			   may be undesirable in many circumstances.
			   As it can lead to a db query with many results that may
			   never be used.
			   $obj = TrackerExtraFieldElementPeer::retrieveByPK($this->to_element_id, $con);
			   $obj->addTrackerExtraFieldElementTransitionsRelatedByToElementId($this);
			 */
		}
		return $this->aTrackerExtraFieldElementRelatedByToElementId;
	}

	/**
	 * Provides convenient way to set a relationship based on a
	 * key.  e.g.
	 * <code>$bar->setFooKey($foo->getPrimaryKey())</code>
	 *
 
	 * @return void
	 * @throws PropelException
	 */
	public function setTrackerExtraFieldElementRelatedByToElementIdKey($key)
	{

		$this->setToElementId( (int) $key);			
		
	}

	/**
	 * Collection to store aggregation of collTrackerEfeTransitionReassigns	  
	 * @var array
	 */
	protected $collTrackerEfeTransitionReassigns; 

	/**
	 * Temporary storage of collTrackerEfeTransitionReassigns to save a possible db hit in
	 * the event objects are add to the collection, but the
	 * complete collection is never requested.
	 * @return void
	 */
	public function initTrackerEfeTransitionReassigns()
	{
		if ($this->collTrackerEfeTransitionReassigns === null) {
			$this->collTrackerEfeTransitionReassigns = array();
		}
	}

	/**
	 * Method called to associate a TrackerEfeTransitionReassign object to this object
	 * through the TrackerEfeTransitionReassign foreign key attribute
	 *
	 * @param TrackerEfeTransitionReassign $l $className
	 * @return void
	 * @throws PropelException
	 */
	public function addTrackerEfeTransitionReassign(TrackerEfeTransitionReassign $l)
	{
		$this->collTrackerEfeTransitionReassigns[] = $l;
		$l->setTrackerExtraFieldElementTransition($this);
	}

	/**
	 * The criteria used to select the current contents of collTrackerEfeTransitionReassigns.
	 * @var Criteria
	 */
	private $lastTrackerEfeTransitionReassignsCriteria = null;

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionReassigns from storage.
	 * If this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection or the current collection, the criteria
	 * is ignored on a new object.
	 *
	 * @param Connection $con
	 * @param Criteria $criteria
	 * @throws PropelException
	 */
	public function getTrackerEfeTransitionReassigns($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionReassignPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
				
		if ($this->collTrackerEfeTransitionReassigns === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionReassigns = array();
			} else {
	
				$criteria->add(TrackerEfeTransitionReassignPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId() );

				$this->collTrackerEfeTransitionReassigns = TrackerEfeTransitionReassignPeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.

				$criteria->add(TrackerEfeTransitionReassignPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());

				if (!isset($this->lastTrackerEfeTransitionReassignsCriteria) || !$this->lastTrackerEfeTransitionReassignsCriteria->equals($criteria)) {
					$this->collTrackerEfeTransitionReassigns = TrackerEfeTransitionReassignPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastTrackerEfeTransitionReassignsCriteria = $criteria;

		return $this->collTrackerEfeTransitionReassigns;
	}
	

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionReassigns from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerEfeTransitionReassignsJoinTrackerExtraFieldElementTransition($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionReassignPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerEfeTransitionReassigns === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionReassigns = array();
			} else {
	   
				$criteria->add(TrackerEfeTransitionReassignPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerEfeTransitionReassigns = TrackerEfeTransitionReassignPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerEfeTransitionReassignPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerEfeTransitionReassignsCriteria) || !$this->lastTrackerEfeTransitionReassignsCriteria->equals($criteria)) {
				$this->collTrackerEfeTransitionReassigns = TrackerEfeTransitionReassignPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		}
		$this->lastTrackerEfeTransitionReassignsCriteria = $criteria;

		return $this->collTrackerEfeTransitionReassigns;
	}

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionReassigns from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerEfeTransitionReassignsJoinRole($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionReassignPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerEfeTransitionReassigns === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionReassigns = array();
			} else {
	   
				$criteria->add(TrackerEfeTransitionReassignPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerEfeTransitionReassigns = TrackerEfeTransitionReassignPeer::doSelectJoinRole($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerEfeTransitionReassignPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerEfeTransitionReassignsCriteria) || !$this->lastTrackerEfeTransitionReassignsCriteria->equals($criteria)) {
				$this->collTrackerEfeTransitionReassigns = TrackerEfeTransitionReassignPeer::doSelectJoinRole($criteria, $con);
			}
		}
		$this->lastTrackerEfeTransitionReassignsCriteria = $criteria;

		return $this->collTrackerEfeTransitionReassigns;
	}

	/**
	 * Collection to store aggregation of collTrackerEfeTransitionTriggers	  
	 * @var array
	 */
	protected $collTrackerEfeTransitionTriggers; 

	/**
	 * Temporary storage of collTrackerEfeTransitionTriggers to save a possible db hit in
	 * the event objects are add to the collection, but the
	 * complete collection is never requested.
	 * @return void
	 */
	public function initTrackerEfeTransitionTriggers()
	{
		if ($this->collTrackerEfeTransitionTriggers === null) {
			$this->collTrackerEfeTransitionTriggers = array();
		}
	}

	/**
	 * Method called to associate a TrackerEfeTransitionTrigger object to this object
	 * through the TrackerEfeTransitionTrigger foreign key attribute
	 *
	 * @param TrackerEfeTransitionTrigger $l $className
	 * @return void
	 * @throws PropelException
	 */
	public function addTrackerEfeTransitionTrigger(TrackerEfeTransitionTrigger $l)
	{
		$this->collTrackerEfeTransitionTriggers[] = $l;
		$l->setTrackerExtraFieldElementTransition($this);
	}

	/**
	 * The criteria used to select the current contents of collTrackerEfeTransitionTriggers.
	 * @var Criteria
	 */
	private $lastTrackerEfeTransitionTriggersCriteria = null;

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionTriggers from storage.
	 * If this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection or the current collection, the criteria
	 * is ignored on a new object.
	 *
	 * @param Connection $con
	 * @param Criteria $criteria
	 * @throws PropelException
	 */
	public function getTrackerEfeTransitionTriggers($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionTriggerPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
				
		if ($this->collTrackerEfeTransitionTriggers === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionTriggers = array();
			} else {
	
				$criteria->add(TrackerEfeTransitionTriggerPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId() );

				$this->collTrackerEfeTransitionTriggers = TrackerEfeTransitionTriggerPeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.

				$criteria->add(TrackerEfeTransitionTriggerPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());

				if (!isset($this->lastTrackerEfeTransitionTriggersCriteria) || !$this->lastTrackerEfeTransitionTriggersCriteria->equals($criteria)) {
					$this->collTrackerEfeTransitionTriggers = TrackerEfeTransitionTriggerPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastTrackerEfeTransitionTriggersCriteria = $criteria;

		return $this->collTrackerEfeTransitionTriggers;
	}
	

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionTriggers from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerEfeTransitionTriggersJoinTrackerExtraFieldElementTransition($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionTriggerPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerEfeTransitionTriggers === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionTriggers = array();
			} else {
	   
				$criteria->add(TrackerEfeTransitionTriggerPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerEfeTransitionTriggers = TrackerEfeTransitionTriggerPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerEfeTransitionTriggerPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerEfeTransitionTriggersCriteria) || !$this->lastTrackerEfeTransitionTriggersCriteria->equals($criteria)) {
				$this->collTrackerEfeTransitionTriggers = TrackerEfeTransitionTriggerPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		}
		$this->lastTrackerEfeTransitionTriggersCriteria = $criteria;

		return $this->collTrackerEfeTransitionTriggers;
	}

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionTriggers from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerEfeTransitionTriggersJoinTrackerExtraField($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionTriggerPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerEfeTransitionTriggers === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionTriggers = array();
			} else {
	   
				$criteria->add(TrackerEfeTransitionTriggerPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerEfeTransitionTriggers = TrackerEfeTransitionTriggerPeer::doSelectJoinTrackerExtraField($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerEfeTransitionTriggerPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerEfeTransitionTriggersCriteria) || !$this->lastTrackerEfeTransitionTriggersCriteria->equals($criteria)) {
				$this->collTrackerEfeTransitionTriggers = TrackerEfeTransitionTriggerPeer::doSelectJoinTrackerExtraField($criteria, $con);
			}
		}
		$this->lastTrackerEfeTransitionTriggersCriteria = $criteria;

		return $this->collTrackerEfeTransitionTriggers;
	}

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionTriggers from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerEfeTransitionTriggersJoinTrackerExtraFieldElement($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionTriggerPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerEfeTransitionTriggers === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionTriggers = array();
			} else {
	   
				$criteria->add(TrackerEfeTransitionTriggerPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerEfeTransitionTriggers = TrackerEfeTransitionTriggerPeer::doSelectJoinTrackerExtraFieldElement($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerEfeTransitionTriggerPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerEfeTransitionTriggersCriteria) || !$this->lastTrackerEfeTransitionTriggersCriteria->equals($criteria)) {
				$this->collTrackerEfeTransitionTriggers = TrackerEfeTransitionTriggerPeer::doSelectJoinTrackerExtraFieldElement($criteria, $con);
			}
		}
		$this->lastTrackerEfeTransitionTriggersCriteria = $criteria;

		return $this->collTrackerEfeTransitionTriggers;
	}

	/**
	 * Collection to store aggregation of collTrackerExtraFieldElementTransitionRoles	  
	 * @var array
	 */
	protected $collTrackerExtraFieldElementTransitionRoles; 

	/**
	 * Temporary storage of collTrackerExtraFieldElementTransitionRoles to save a possible db hit in
	 * the event objects are add to the collection, but the
	 * complete collection is never requested.
	 * @return void
	 */
	public function initTrackerExtraFieldElementTransitionRoles()
	{
		if ($this->collTrackerExtraFieldElementTransitionRoles === null) {
			$this->collTrackerExtraFieldElementTransitionRoles = array();
		}
	}

	/**
	 * Method called to associate a TrackerExtraFieldElementTransitionRole object to this object
	 * through the TrackerExtraFieldElementTransitionRole foreign key attribute
	 *
	 * @param TrackerExtraFieldElementTransitionRole $l $className
	 * @return void
	 * @throws PropelException
	 */
	public function addTrackerExtraFieldElementTransitionRole(TrackerExtraFieldElementTransitionRole $l)
	{
		$this->collTrackerExtraFieldElementTransitionRoles[] = $l;
		$l->setTrackerExtraFieldElementTransition($this);
	}

	/**
	 * The criteria used to select the current contents of collTrackerExtraFieldElementTransitionRoles.
	 * @var Criteria
	 */
	private $lastTrackerExtraFieldElementTransitionRolesCriteria = null;

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerExtraFieldElementTransitionRoles from storage.
	 * If this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection or the current collection, the criteria
	 * is ignored on a new object.
	 *
	 * @param Connection $con
	 * @param Criteria $criteria
	 * @throws PropelException
	 */
	public function getTrackerExtraFieldElementTransitionRoles($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionRolePeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
				
		if ($this->collTrackerExtraFieldElementTransitionRoles === null) {
			if ($this->isNew()) {
			   $this->collTrackerExtraFieldElementTransitionRoles = array();
			} else {
	
				$criteria->add(TrackerExtraFieldElementTransitionRolePeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId() );

				$this->collTrackerExtraFieldElementTransitionRoles = TrackerExtraFieldElementTransitionRolePeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.

				$criteria->add(TrackerExtraFieldElementTransitionRolePeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());

				if (!isset($this->lastTrackerExtraFieldElementTransitionRolesCriteria) || !$this->lastTrackerExtraFieldElementTransitionRolesCriteria->equals($criteria)) {
					$this->collTrackerExtraFieldElementTransitionRoles = TrackerExtraFieldElementTransitionRolePeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastTrackerExtraFieldElementTransitionRolesCriteria = $criteria;

		return $this->collTrackerExtraFieldElementTransitionRoles;
	}
	

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerExtraFieldElementTransitionRoles from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerExtraFieldElementTransitionRolesJoinTrackerExtraFieldElementTransition($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionRolePeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerExtraFieldElementTransitionRoles === null) {
			if ($this->isNew()) {
			   $this->collTrackerExtraFieldElementTransitionRoles = array();
			} else {
	   
				$criteria->add(TrackerExtraFieldElementTransitionRolePeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerExtraFieldElementTransitionRoles = TrackerExtraFieldElementTransitionRolePeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerExtraFieldElementTransitionRolePeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerExtraFieldElementTransitionRolesCriteria) || !$this->lastTrackerExtraFieldElementTransitionRolesCriteria->equals($criteria)) {
				$this->collTrackerExtraFieldElementTransitionRoles = TrackerExtraFieldElementTransitionRolePeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		}
		$this->lastTrackerExtraFieldElementTransitionRolesCriteria = $criteria;

		return $this->collTrackerExtraFieldElementTransitionRoles;
	}

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerExtraFieldElementTransitionRoles from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerExtraFieldElementTransitionRolesJoinRole($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionRolePeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerExtraFieldElementTransitionRoles === null) {
			if ($this->isNew()) {
			   $this->collTrackerExtraFieldElementTransitionRoles = array();
			} else {
	   
				$criteria->add(TrackerExtraFieldElementTransitionRolePeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerExtraFieldElementTransitionRoles = TrackerExtraFieldElementTransitionRolePeer::doSelectJoinRole($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerExtraFieldElementTransitionRolePeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerExtraFieldElementTransitionRolesCriteria) || !$this->lastTrackerExtraFieldElementTransitionRolesCriteria->equals($criteria)) {
				$this->collTrackerExtraFieldElementTransitionRoles = TrackerExtraFieldElementTransitionRolePeer::doSelectJoinRole($criteria, $con);
			}
		}
		$this->lastTrackerExtraFieldElementTransitionRolesCriteria = $criteria;

		return $this->collTrackerExtraFieldElementTransitionRoles;
	}

	/**
	 * Collection to store aggregation of collTrackerExtraFieldElementTransitionNotifys	  
	 * @var array
	 */
	protected $collTrackerExtraFieldElementTransitionNotifys; 

	/**
	 * Temporary storage of collTrackerExtraFieldElementTransitionNotifys to save a possible db hit in
	 * the event objects are add to the collection, but the
	 * complete collection is never requested.
	 * @return void
	 */
	public function initTrackerExtraFieldElementTransitionNotifys()
	{
		if ($this->collTrackerExtraFieldElementTransitionNotifys === null) {
			$this->collTrackerExtraFieldElementTransitionNotifys = array();
		}
	}

	/**
	 * Method called to associate a TrackerExtraFieldElementTransitionNotify object to this object
	 * through the TrackerExtraFieldElementTransitionNotify foreign key attribute
	 *
	 * @param TrackerExtraFieldElementTransitionNotify $l $className
	 * @return void
	 * @throws PropelException
	 */
	public function addTrackerExtraFieldElementTransitionNotify(TrackerExtraFieldElementTransitionNotify $l)
	{
		$this->collTrackerExtraFieldElementTransitionNotifys[] = $l;
		$l->setTrackerExtraFieldElementTransition($this);
	}

	/**
	 * The criteria used to select the current contents of collTrackerExtraFieldElementTransitionNotifys.
	 * @var Criteria
	 */
	private $lastTrackerExtraFieldElementTransitionNotifysCriteria = null;

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerExtraFieldElementTransitionNotifys from storage.
	 * If this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection or the current collection, the criteria
	 * is ignored on a new object.
	 *
	 * @param Connection $con
	 * @param Criteria $criteria
	 * @throws PropelException
	 */
	public function getTrackerExtraFieldElementTransitionNotifys($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionNotifyPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
				
		if ($this->collTrackerExtraFieldElementTransitionNotifys === null) {
			if ($this->isNew()) {
			   $this->collTrackerExtraFieldElementTransitionNotifys = array();
			} else {
	
				$criteria->add(TrackerExtraFieldElementTransitionNotifyPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId() );

				$this->collTrackerExtraFieldElementTransitionNotifys = TrackerExtraFieldElementTransitionNotifyPeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.

				$criteria->add(TrackerExtraFieldElementTransitionNotifyPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());

				if (!isset($this->lastTrackerExtraFieldElementTransitionNotifysCriteria) || !$this->lastTrackerExtraFieldElementTransitionNotifysCriteria->equals($criteria)) {
					$this->collTrackerExtraFieldElementTransitionNotifys = TrackerExtraFieldElementTransitionNotifyPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastTrackerExtraFieldElementTransitionNotifysCriteria = $criteria;

		return $this->collTrackerExtraFieldElementTransitionNotifys;
	}
	

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerExtraFieldElementTransitionNotifys from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerExtraFieldElementTransitionNotifysJoinTrackerExtraFieldElementTransition($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionNotifyPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerExtraFieldElementTransitionNotifys === null) {
			if ($this->isNew()) {
			   $this->collTrackerExtraFieldElementTransitionNotifys = array();
			} else {
	   
				$criteria->add(TrackerExtraFieldElementTransitionNotifyPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerExtraFieldElementTransitionNotifys = TrackerExtraFieldElementTransitionNotifyPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerExtraFieldElementTransitionNotifyPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerExtraFieldElementTransitionNotifysCriteria) || !$this->lastTrackerExtraFieldElementTransitionNotifysCriteria->equals($criteria)) {
				$this->collTrackerExtraFieldElementTransitionNotifys = TrackerExtraFieldElementTransitionNotifyPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		}
		$this->lastTrackerExtraFieldElementTransitionNotifysCriteria = $criteria;

		return $this->collTrackerExtraFieldElementTransitionNotifys;
	}

	/**
	 * Collection to store aggregation of collTrackerExtraFieldElementTransitionFields	  
	 * @var array
	 */
	protected $collTrackerExtraFieldElementTransitionFields; 

	/**
	 * Temporary storage of collTrackerExtraFieldElementTransitionFields to save a possible db hit in
	 * the event objects are add to the collection, but the
	 * complete collection is never requested.
	 * @return void
	 */
	public function initTrackerExtraFieldElementTransitionFields()
	{
		if ($this->collTrackerExtraFieldElementTransitionFields === null) {
			$this->collTrackerExtraFieldElementTransitionFields = array();
		}
	}

	/**
	 * Method called to associate a TrackerExtraFieldElementTransitionField object to this object
	 * through the TrackerExtraFieldElementTransitionField foreign key attribute
	 *
	 * @param TrackerExtraFieldElementTransitionField $l $className
	 * @return void
	 * @throws PropelException
	 */
	public function addTrackerExtraFieldElementTransitionField(TrackerExtraFieldElementTransitionField $l)
	{
		$this->collTrackerExtraFieldElementTransitionFields[] = $l;
		$l->setTrackerExtraFieldElementTransition($this);
	}

	/**
	 * The criteria used to select the current contents of collTrackerExtraFieldElementTransitionFields.
	 * @var Criteria
	 */
	private $lastTrackerExtraFieldElementTransitionFieldsCriteria = null;

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerExtraFieldElementTransitionFields from storage.
	 * If this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection or the current collection, the criteria
	 * is ignored on a new object.
	 *
	 * @param Connection $con
	 * @param Criteria $criteria
	 * @throws PropelException
	 */
	public function getTrackerExtraFieldElementTransitionFields($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionFieldPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
				
		if ($this->collTrackerExtraFieldElementTransitionFields === null) {
			if ($this->isNew()) {
			   $this->collTrackerExtraFieldElementTransitionFields = array();
			} else {
	
				$criteria->add(TrackerExtraFieldElementTransitionFieldPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId() );

				$this->collTrackerExtraFieldElementTransitionFields = TrackerExtraFieldElementTransitionFieldPeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.

				$criteria->add(TrackerExtraFieldElementTransitionFieldPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());

				if (!isset($this->lastTrackerExtraFieldElementTransitionFieldsCriteria) || !$this->lastTrackerExtraFieldElementTransitionFieldsCriteria->equals($criteria)) {
					$this->collTrackerExtraFieldElementTransitionFields = TrackerExtraFieldElementTransitionFieldPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastTrackerExtraFieldElementTransitionFieldsCriteria = $criteria;

		return $this->collTrackerExtraFieldElementTransitionFields;
	}
	

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerExtraFieldElementTransitionFields from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerExtraFieldElementTransitionFieldsJoinTrackerExtraFieldElementTransition($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionFieldPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerExtraFieldElementTransitionFields === null) {
			if ($this->isNew()) {
			   $this->collTrackerExtraFieldElementTransitionFields = array();
			} else {
	   
				$criteria->add(TrackerExtraFieldElementTransitionFieldPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerExtraFieldElementTransitionFields = TrackerExtraFieldElementTransitionFieldPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerExtraFieldElementTransitionFieldPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerExtraFieldElementTransitionFieldsCriteria) || !$this->lastTrackerExtraFieldElementTransitionFieldsCriteria->equals($criteria)) {
				$this->collTrackerExtraFieldElementTransitionFields = TrackerExtraFieldElementTransitionFieldPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		}
		$this->lastTrackerExtraFieldElementTransitionFieldsCriteria = $criteria;

		return $this->collTrackerExtraFieldElementTransitionFields;
	}

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerExtraFieldElementTransitionFields from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerExtraFieldElementTransitionFieldsJoinTrackerExtraField($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerExtraFieldElementTransitionFieldPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerExtraFieldElementTransitionFields === null) {
			if ($this->isNew()) {
			   $this->collTrackerExtraFieldElementTransitionFields = array();
			} else {
	   
				$criteria->add(TrackerExtraFieldElementTransitionFieldPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerExtraFieldElementTransitionFields = TrackerExtraFieldElementTransitionFieldPeer::doSelectJoinTrackerExtraField($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerExtraFieldElementTransitionFieldPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerExtraFieldElementTransitionFieldsCriteria) || !$this->lastTrackerExtraFieldElementTransitionFieldsCriteria->equals($criteria)) {
				$this->collTrackerExtraFieldElementTransitionFields = TrackerExtraFieldElementTransitionFieldPeer::doSelectJoinTrackerExtraField($criteria, $con);
			}
		}
		$this->lastTrackerExtraFieldElementTransitionFieldsCriteria = $criteria;

		return $this->collTrackerExtraFieldElementTransitionFields;
	}

	/**
	 * Collection to store aggregation of collTrackerEfeTransitionEnabledScripts	  
	 * @var array
	 */
	protected $collTrackerEfeTransitionEnabledScripts; 

	/**
	 * Temporary storage of collTrackerEfeTransitionEnabledScripts to save a possible db hit in
	 * the event objects are add to the collection, but the
	 * complete collection is never requested.
	 * @return void
	 */
	public function initTrackerEfeTransitionEnabledScripts()
	{
		if ($this->collTrackerEfeTransitionEnabledScripts === null) {
			$this->collTrackerEfeTransitionEnabledScripts = array();
		}
	}

	/**
	 * Method called to associate a TrackerEfeTransitionEnabledScript object to this object
	 * through the TrackerEfeTransitionEnabledScript foreign key attribute
	 *
	 * @param TrackerEfeTransitionEnabledScript $l $className
	 * @return void
	 * @throws PropelException
	 */
	public function addTrackerEfeTransitionEnabledScript(TrackerEfeTransitionEnabledScript $l)
	{
		$this->collTrackerEfeTransitionEnabledScripts[] = $l;
		$l->setTrackerExtraFieldElementTransition($this);
	}

	/**
	 * The criteria used to select the current contents of collTrackerEfeTransitionEnabledScripts.
	 * @var Criteria
	 */
	private $lastTrackerEfeTransitionEnabledScriptsCriteria = null;

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionEnabledScripts from storage.
	 * If this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection or the current collection, the criteria
	 * is ignored on a new object.
	 *
	 * @param Connection $con
	 * @param Criteria $criteria
	 * @throws PropelException
	 */
	public function getTrackerEfeTransitionEnabledScripts($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionEnabledScriptPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
				
		if ($this->collTrackerEfeTransitionEnabledScripts === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionEnabledScripts = array();
			} else {
	
				$criteria->add(TrackerEfeTransitionEnabledScriptPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId() );

				$this->collTrackerEfeTransitionEnabledScripts = TrackerEfeTransitionEnabledScriptPeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.

				$criteria->add(TrackerEfeTransitionEnabledScriptPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());

				if (!isset($this->lastTrackerEfeTransitionEnabledScriptsCriteria) || !$this->lastTrackerEfeTransitionEnabledScriptsCriteria->equals($criteria)) {
					$this->collTrackerEfeTransitionEnabledScripts = TrackerEfeTransitionEnabledScriptPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastTrackerEfeTransitionEnabledScriptsCriteria = $criteria;

		return $this->collTrackerEfeTransitionEnabledScripts;
	}
	

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionEnabledScripts from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerEfeTransitionEnabledScriptsJoinTrackerExtraFieldElementTransition($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionEnabledScriptPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerEfeTransitionEnabledScripts === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionEnabledScripts = array();
			} else {
	   
				$criteria->add(TrackerEfeTransitionEnabledScriptPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerEfeTransitionEnabledScripts = TrackerEfeTransitionEnabledScriptPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerEfeTransitionEnabledScriptPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerEfeTransitionEnabledScriptsCriteria) || !$this->lastTrackerEfeTransitionEnabledScriptsCriteria->equals($criteria)) {
				$this->collTrackerEfeTransitionEnabledScripts = TrackerEfeTransitionEnabledScriptPeer::doSelectJoinTrackerExtraFieldElementTransition($criteria, $con);
			}
		}
		$this->lastTrackerEfeTransitionEnabledScriptsCriteria = $criteria;

		return $this->collTrackerEfeTransitionEnabledScripts;
	}

	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this TrackerExtraFieldElementTransition is new, it will return
	 * an empty collection; or if this TrackerExtraFieldElementTransition has previously
	 * been saved, it will retrieve related TrackerEfeTransitionEnabledScripts from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in TrackerExtraFieldElementTransition.
	 */
	public function getTrackerEfeTransitionEnabledScriptsJoinTrackerTransitionScript($criteria = null, $con = null)
	{
		// include the Peer class
		include_once 'plugins/tracker/lib/TrackerEfeTransitionEnabledScriptPeer.php';
		if ($criteria === null) {
			$criteria = new Criteria();
		}
		
		if ($this->collTrackerEfeTransitionEnabledScripts === null) {
			if ($this->isNew()) {
			   $this->collTrackerEfeTransitionEnabledScripts = array();
			} else {
	   
				$criteria->add(TrackerEfeTransitionEnabledScriptPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
				$this->collTrackerEfeTransitionEnabledScripts = TrackerEfeTransitionEnabledScriptPeer::doSelectJoinTrackerTransitionScript($criteria, $con);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.
	  
			$criteria->add(TrackerEfeTransitionEnabledScriptPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $this->getTrackerExtraFieldElementTransitionId());
			if (!isset($this->lastTrackerEfeTransitionEnabledScriptsCriteria) || !$this->lastTrackerEfeTransitionEnabledScriptsCriteria->equals($criteria)) {
				$this->collTrackerEfeTransitionEnabledScripts = TrackerEfeTransitionEnabledScriptPeer::doSelectJoinTrackerTransitionScript($criteria, $con);
			}
		}
		$this->lastTrackerEfeTransitionEnabledScriptsCriteria = $criteria;

		return $this->collTrackerEfeTransitionEnabledScripts;
	}

	private $fieldNames;

	/**
	 * Generate a list of field names.
	 *
	 * @return array A list of field names
	 */
	public function getFieldNames()
	{
		if ($this->fieldNames === null) {
			$this->fieldNames = array("tracker_extra_field_element_transition_id", "element_id", "to_element_id", "notification_message", );
		}
		return $this->fieldNames;
	}
	
	/**
	 * Retrieves a field from the object by name passed in as a string.
	 * The string must be one of the static strings defined in this Class' Peer.
	 *
	 * @param string $name peer name
	 * @return mixed Value of field.
	 */
	public function getByName($name)
	{
		switch($name) {
	  
			case TrackerExtraFieldElementTransitionPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID:
				return $this->getTrackerExtraFieldElementTransitionId();
				break;
		  
			case TrackerExtraFieldElementTransitionPeer::ELEMENT_ID:
				return $this->getElementId();
				break;
		  
			case TrackerExtraFieldElementTransitionPeer::TO_ELEMENT_ID:
				return $this->getToElementId();
				break;
		  
			case TrackerExtraFieldElementTransitionPeer::NOTIFICATION_MESSAGE:
				return $this->getNotificationMessage();
				break;
	  
			default:
				return null;
				
		} // switch()
	}

	/**
	 * Retrieves a field from the object by Position as specified in the xml schema. 
	 * Zero-based.
	 *
	 * @param int $pos position in xml schema
	 * @return mixed Value of field at $pos
	 */
	public function getByPosition($pos)
	{
		switch($pos) {
  
			case 0:
				return $this->getTrackerExtraFieldElementTransitionId();
				break;
  
			case 1:
				return $this->getElementId();
				break;
  
			case 2:
				return $this->getToElementId();
				break;
  
			case 3:
				return $this->getNotificationMessage();
				break;
			default:
				return null;
		} // switch()
	}



	
	/**
	 * Convenience method to populate the object using an array.
	 * This is particularly useful when populating an object from one of the request arrays (e.g. $_POST).  This method
	 * goest through the column (peer) names, checking to see whether a matching key exists in populated array. If
	 * so the setByName() method is called for that column.
	 * @param array $arr An array where keys are column names.
	 * @return void
	 */
	public function populateFromArray($arr)
	{
  
		if (array_key_exists(TrackerExtraFieldElementTransitionPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID, $arr)) $this->setTrackerExtraFieldElementTransitionId($arr[TrackerExtraFieldElementTransitionPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID]);
  
		if (array_key_exists(TrackerExtraFieldElementTransitionPeer::ELEMENT_ID, $arr)) $this->setElementId($arr[TrackerExtraFieldElementTransitionPeer::ELEMENT_ID]);
  
		if (array_key_exists(TrackerExtraFieldElementTransitionPeer::TO_ELEMENT_ID, $arr)) $this->setToElementId($arr[TrackerExtraFieldElementTransitionPeer::TO_ELEMENT_ID]);
  
		if (array_key_exists(TrackerExtraFieldElementTransitionPeer::NOTIFICATION_MESSAGE, $arr)) $this->setNotificationMessage($arr[TrackerExtraFieldElementTransitionPeer::NOTIFICATION_MESSAGE]);
 
	}
	
	/**
	 * Sets a field from the object by name passed in as a string.
	 * The string must be one of the static strings defined in this Class' Peer.
	 *
	 * @param string $name peer name
	 * @param mixed $value field value
	 * @return void
	 */
	public function setByName($name, $value)
	{
		switch($name) {
	  
			case TrackerExtraFieldElementTransitionPeer::TRACKER_EXTRA_FIELD_ELEMENT_TRANSITION_ID:
				$this->setTrackerExtraFieldElementTransitionId($value);
				break;
	  
			case TrackerExtraFieldElementTransitionPeer::ELEMENT_ID:
				$this->setElementId($value);
				break;
	  
			case TrackerExtraFieldElementTransitionPeer::TO_ELEMENT_ID:
				$this->setToElementId($value);
				break;
	  
			case TrackerExtraFieldElementTransitionPeer::NOTIFICATION_MESSAGE:
				$this->setNotificationMessage($value);
				break;
				  
		} // switch()
	}

	/**
	 * Sets a field from the object by Position as specified in the xml schema.
	 * Zero-based.
	 *
	 * @param int $pos position in xml schema
	 * @param mixed $value field value
	 * @return void
	 */
	public function setByPosition($pos, $value)
	{
		switch($pos) {
  
			case 0:
				$this->setTrackerExtraFieldElementTransitionId($value);
				break;
  
			case 1:
				$this->setElementId($value);
				break;
  
			case 2:
				$this->setToElementId($value);
				break;
  
			case 3:
				$this->setNotificationMessage($value);
				break;
		} // switch()
	}


 
	/**
	 * Removes this object from datastore and sets delete attribute.
	 * 
	 * @param Connection $con
	 * @return void
	 * @throws PropelException
	 * @see BaseObject::setDeleted()
	 * @see BaseObject::isDeleted()
	 */
	public function delete($con = null)
	{	
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}
		
		if ($con === null)
			$con = Propel::getConnection(TrackerExtraFieldElementTransitionPeer::DATABASE_NAME);

		try {
			$con->begin();
			TrackerExtraFieldElementTransitionPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}
	

	/**
	 * flag to prevent endless save loop, if this object is referenced
	 * by another object which falls in this transaction.
	 * @var boolean
	 */
	private $alreadyInSave = false;

	/**
	 * Stores the object in the database.  If the object is new,
	 * it inserts it; otherwise an update is performed.  This method
	 * wraps the doSave() worker method in a transaction.
	 *
	 * @param Connection $con
	 * @return void
	 * @throws PropelException
	 */
	public function save($con = null)
	{
		if ($this->isDeleted()) {
		//	throw new PropelException("You cannot save an object that has been deleted.");
			return;
		}
		
		if ($con === null)
			$con = Propel::getConnection(TrackerExtraFieldElementTransitionPeer::DATABASE_NAME);

		try {
			$con->begin();
			$this->doSave($con);			
			$con->commit();
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}
  
	/**
	 * Stores the object in the database.  If the object is new,
	 * it inserts it; otherwise an update is performed.
	 *
	 * @param Connection $con
	 * @return void
	 * @throws PropelException
	 */
		protected function doSave($con)	{ 
		
	 
		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

			// We call the save method on the following object(s) if they
			// were passed to this object by their coresponding set
			// method.  This object relates to these object(s) by a
			// foreign key reference.
 
			if ($this->aTrackerExtraFieldElementRelatedByElementId !== null) {
				if ($this->aTrackerExtraFieldElementRelatedByElementId->isModified()) $this->aTrackerExtraFieldElementRelatedByElementId->save($con);
				$this->setTrackerExtraFieldElementRelatedByElementId($this->aTrackerExtraFieldElementRelatedByElementId);
			}
 
			if ($this->aTrackerExtraFieldElementRelatedByToElementId !== null) {
				if ($this->aTrackerExtraFieldElementRelatedByToElementId->isModified()) $this->aTrackerExtraFieldElementRelatedByToElementId->save($con);
				$this->setTrackerExtraFieldElementRelatedByToElementId($this->aTrackerExtraFieldElementRelatedByToElementId);
			}

			// If this object has been modified, then save it to the database.
			if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = TrackerExtraFieldElementTransitionPeer::doInsert($this, $con);
					$this->setTrackerExtraFieldElementTransitionId( $pk );  //[IMV] update autoincrement primary key
					$this->setNew(false);
				} else {
					TrackerExtraFieldElementTransitionPeer::doUpdate($this, $con);
				}			
				$this->resetModified(); // [HL] After being saved an object is no longer 'modified'
			}
			if ($this->collTrackerEfeTransitionReassigns !== null) {
				for ($i=0,$size=count($this->collTrackerEfeTransitionReassigns); $i < $size; $i++) {
					$this->collTrackerEfeTransitionReassigns[$i]->save($con);
				}
			  }
			if ($this->collTrackerEfeTransitionTriggers !== null) {
				for ($i=0,$size=count($this->collTrackerEfeTransitionTriggers); $i < $size; $i++) {
					$this->collTrackerEfeTransitionTriggers[$i]->save($con);
				}
			  }
			if ($this->collTrackerExtraFieldElementTransitionRoles !== null) {
				for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionRoles); $i < $size; $i++) {
					$this->collTrackerExtraFieldElementTransitionRoles[$i]->save($con);
				}
			  }
			if ($this->collTrackerExtraFieldElementTransitionNotifys !== null) {
				for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionNotifys); $i < $size; $i++) {
					$this->collTrackerExtraFieldElementTransitionNotifys[$i]->save($con);
				}
			  }
			if ($this->collTrackerExtraFieldElementTransitionFields !== null) {
				for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionFields); $i < $size; $i++) {
					$this->collTrackerExtraFieldElementTransitionFields[$i]->save($con);
				}
			  }
			if ($this->collTrackerEfeTransitionEnabledScripts !== null) {
				for ($i=0,$size=count($this->collTrackerEfeTransitionEnabledScripts); $i < $size; $i++) {
					$this->collTrackerEfeTransitionEnabledScripts[$i]->save($con);
				}
			  }

			$this->alreadyInSave = false;
		}
	}

	/**
	 * Validates the objects modified field values.
	 * This includes all objects related to this table.
	 *
	 * If $columns is either a column name or an array of column names
	 * only those columns are validated.
	 *
	 * @param mixed $columns Column name or an array of column names.
	 *
	 * @return mixed <code>true</code> if all columns pass validation
	 *			  or an array of <code>ValidationFailed</code> objects for columns that fail.
	 */
	public function validate($columns = null)
	{
	  if ($columns)
	  {
		return TrackerExtraFieldElementTransitionPeer::doValidate($this, $columns);
	  }

		return $this->doValidate();
	}

	/**
	 * flag to prevent endless validation loop, if this object is referenced
	 * by another object which falls in this transaction.
	 * @var boolean
	 */
	protected $alreadyInValidation = false;
  
	/**
	 * This function performs the validation work for complex object models.
	 * 
	 * In addition to checking the current object, all related objects will
	 * also be validated.  If all pass then <code>true</code> is returned; otherwise
	 * an aggreagated array of ValidationFailed objects will be returned.
	 *
	 * @return mixed <code>true</code> if all validations pass; array of <code>ValidationFailed</code> objets otherwise.
	 */
	protected function doValidate()
	{
		if (! $this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;
	  
			$failureMap = array();	  
	  
			// We call the validate method on the following object(s) if they
			// were passed to this object by their coresponding set
			// method.  This object relates to these object(s) by a
			// foreign key reference.
			if ($this->aTrackerExtraFieldElementRelatedByElementId !== null) {
				if (($retval = $this->aTrackerExtraFieldElementRelatedByElementId->validate()) !== true) {
					$failureMap = array_merge($failureMap, $retval);
				}
			}
			if ($this->aTrackerExtraFieldElementRelatedByToElementId !== null) {
				if (($retval = $this->aTrackerExtraFieldElementRelatedByToElementId->validate()) !== true) {
					$failureMap = array_merge($failureMap, $retval);
				}
			}

			if (($retval = TrackerExtraFieldElementTransitionPeer::doValidate($this)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}
	  
			if ($this->collTrackerEfeTransitionReassigns !== null) {
				for ($i=0,$size=count($this->collTrackerEfeTransitionReassigns); $i < $size; $i++) {
					if (($retval = $this->collTrackerEfeTransitionReassigns[$i]->validate()) !== true) {
						$failureMap = array_merge($failureMap, $retval);
					}
				}
			}
			if ($this->collTrackerEfeTransitionTriggers !== null) {
				for ($i=0,$size=count($this->collTrackerEfeTransitionTriggers); $i < $size; $i++) {
					if (($retval = $this->collTrackerEfeTransitionTriggers[$i]->validate()) !== true) {
						$failureMap = array_merge($failureMap, $retval);
					}
				}
			}
			if ($this->collTrackerExtraFieldElementTransitionRoles !== null) {
				for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionRoles); $i < $size; $i++) {
					if (($retval = $this->collTrackerExtraFieldElementTransitionRoles[$i]->validate()) !== true) {
						$failureMap = array_merge($failureMap, $retval);
					}
				}
			}
			if ($this->collTrackerExtraFieldElementTransitionNotifys !== null) {
				for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionNotifys); $i < $size; $i++) {
					if (($retval = $this->collTrackerExtraFieldElementTransitionNotifys[$i]->validate()) !== true) {
						$failureMap = array_merge($failureMap, $retval);
					}
				}
			}
			if ($this->collTrackerExtraFieldElementTransitionFields !== null) {
				for ($i=0,$size=count($this->collTrackerExtraFieldElementTransitionFields); $i < $size; $i++) {
					if (($retval = $this->collTrackerExtraFieldElementTransitionFields[$i]->validate()) !== true) {
						$failureMap = array_merge($failureMap, $retval);
					}
				}
			}
			if ($this->collTrackerEfeTransitionEnabledScripts !== null) {
				for ($i=0,$size=count($this->collTrackerEfeTransitionEnabledScripts); $i < $size; $i++) {
					if (($retval = $this->collTrackerEfeTransitionEnabledScripts[$i]->validate()) !== true) {
						$failureMap = array_merge($failureMap, $retval);
					}
				}
			}
	  
			$this->alreadyInValidation = false;
		}
	
		return (!empty($failureMap) ? $failureMap : true);
	}
  

	/**
	 * Set the PrimaryKey.
	 *
	 * @param mixed tracker_extra_field_element_transition_id Primary key.
	 * @return void
	 * @throws PropelException	 */
	public function setPrimaryKey($key) 
	{		
		$this->setTrackerExtraFieldElementTransitionId($key);
	}
	

	/**
	 * Returns an id that differentiates this object from others
	 * of its class.
	 * @return int 
	 */
	public function getPrimaryKey()
	{

		return $this->getTrackerExtraFieldElementTransitionId();

	}

	
	/**
	 * Makes a copy of this object that will be inserted as a new row in table when saved.
	 * It creates a new object filling in the simple attributes, but skipping any primary
	 * keys that are defined for the table.
	 *  
	 * If desired, this method can also make copies of all associated (fkey referrers)
	 * objects.
	 *
	 * @param boolean $deepCopy Whether to also copy all rows that refer (by fkey) to the current row.
	 *  
	 * @return TrackerExtraFieldElementTransition Clone of current object.
	 * @throws PropelException
	 */
	public function copy($deepCopy = false) 
	{
		$copyObj = new TrackerExtraFieldElementTransition();
		$copyObj->setElementId($this->element_id);
		$copyObj->setToElementId($this->to_element_id);
		$copyObj->setNotificationMessage($this->notification_message);

		if ($deepCopy) {		
			// important: setNew(false) because this affects the behavior of
			// the getter/setter methods for fkey referrer objects.
			$copyObj->setNew(false);

			foreach($this->getTrackerEfeTransitionReassigns() as $relObj) {
				$copyObj->addTrackerEfeTransitionReassign($relObj->copy());
			}

			foreach($this->getTrackerEfeTransitionTriggers() as $relObj) {
				$copyObj->addTrackerEfeTransitionTrigger($relObj->copy());
			}

			foreach($this->getTrackerExtraFieldElementTransitionRoles() as $relObj) {
				$copyObj->addTrackerExtraFieldElementTransitionRole($relObj->copy());
			}

			foreach($this->getTrackerExtraFieldElementTransitionNotifys() as $relObj) {
				$copyObj->addTrackerExtraFieldElementTransitionNotify($relObj->copy());
			}

			foreach($this->getTrackerExtraFieldElementTransitionFields() as $relObj) {
				$copyObj->addTrackerExtraFieldElementTransitionField($relObj->copy());
			}

			foreach($this->getTrackerEfeTransitionEnabledScripts() as $relObj) {
				$copyObj->addTrackerEfeTransitionEnabledScript($relObj->copy());
			}
		} // if ($deepCopy)
		
		$copyObj->setNew(true);
		
		$copyObj->setTrackerExtraFieldElementTransitionId(NULL); // this is a pkey column, so set to default value

		return $copyObj;
	}
		

	/**
	 * returns a peer instance associated with this om.  Since Peer classes	
	 * are not to have any instance attributes, this method returns the
	 * same instance for all member of this class. The method could therefore
	 * be static, but this would prevent one from overriding the behavior.
	 * @return TrackerExtraFieldElementTransitionPeer
	 */
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new TrackerExtraFieldElementTransitionPeer();
		}
		return self::$peer;
	}

}
