<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('plugins/tracker/lib/TrackerSprintPeer.php');
require_once('plugins/tracker/lib/TrackerSprint.php');
require_once('plugins/tracker/lib/html/TrackerTemplate.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

// require_once('plugins/sprint/lib/html/SprintAdminTemplate.php');
// $theme = new SprintAdminTemplate();
$theme = new TrackerTemplate();
$Project = GFUrl::getUrl()->getProject();
$TrackerSprint = TrackerSprintPeer::retrieveByPk($_REQUEST['sprint_id'], $Project->getProjectId());

if (!is_object($TrackerSprint) || !$TrackerSprint->userCanDelete()) {
	throw new PermissionDeniedException();
}

$params = array(
		'project' => $Project,
		'sprint' => $TrackerSprint,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('TrackerSprint.DeletePageTitle')
		);

include('forms/TrackerSprintDelete-tpl.php');

?>