<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('plugins/tracker/lib/TrackerExtraFieldElementTransitionPeer.php');
require_once('plugins/tracker/lib/TrackerExtraFieldElementTransition.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/tracker/lib/html/TrackerAdminTemplate.php');
$theme = new TrackerAdminTemplate();

$Project = GFUrl::getUrl()->getProject();
$TrackerExtraFieldElementTransition = TrackerExtraFieldElementTransitionPeer::retrieveByPk($_GET['tracker_extra_field_element_transition_id']);
if (!is_object($TrackerExtraFieldElementTransition)) {
	throw new PermissionDeniedException();
}
$Tracker = $TrackerExtraFieldElementTransition->getTrackerExtraFieldElementRelatedByElementId()->getTrackerExtraField()->getTracker();
$theme->addBreadCrumb('<a href="'. GFUrl::getUrl()->currentBaseUrl('TrackerExtraFieldElementTransitionBrowse').'&amp;element_id='.$TrackerExtraFieldElementTransition->getElementId().'">'. $Lang->getText('TrackerExtraFieldElement.DefineRules') .'</a>');
$theme->addBreadCrumb('<a href="'. GFUrl::getUrl()->currentBaseUrl('TrackerExtraFieldElementBrowse').'&amp;tracker_extra_field_id='.$TrackerExtraFieldElementTransition->getTrackerExtraFieldElementRelatedByElementId()->getTrackerExtraField()->getId().'&amp;tracker_id='.$Tracker->getTrackerID() .'">'. $Lang->getText('TrackerExtraFieldElement.Edit') .'</a>');
$theme->addBreadCrumb('<a href="'. GFUrl::getUrl()->currentBaseUrl('TrackerExtraFieldBrowse').'&amp;tracker_id='.$Tracker->getTrackerID() .'">'. $Lang->getText('TrackerExtraField.Edit') .'</a>');

if (!is_object($Tracker) || !$Tracker->userIsAdmin()) {
	throw new PermissionDeniedException();
}

$params = array(
		'project' => $Project,
		'tracker' => $Tracker,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($feedback) ? $feedback : '',
		'title' => $Lang->getText('TrackerExtraFieldElementTransition.DeletePageTitle')
		);

include('forms/TrackerExtraFieldElementTransitionDelete-tpl.php');

?>
