<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('Common.templateUpdating').'</div></p>'
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerExtraFieldElementAddAction') ?>" method="post">
<input type="hidden" name="tracker_extra_field_id" value="<?php echo $_REQUEST['tracker_extra_field_id']; ?>"  />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraFieldElement.ElementNameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="element_name" value="<?php echo $element_name; ?>"  /></td>
		</tr>
        <tr>
            <td><strong><?php echo $Lang->getText('TrackerExtraFieldElement.ElementAliasName'); ?></strong><br />
                <input type="text" name="alias" value="<?php echo $alias; ?>"  /></td>
        </tr>
		<?php if ($TrackerExtraField->getFieldType() == TrackerExtraField::TYPE_STATUS) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraFieldElement.StatusIdName'); ?></strong><span class="required">*</span><br />
			<input type="radio" name="status_id" value="<?php echo Tracker::STATUS_OPEN; ?>" checked/>Open<br />
			<input type="radio" name="status_id" value="<?php echo Tracker::STATUS_CLOSED; ?>"/>Closed<br />
			</td>
		</tr>
		<?php } ?>
		<tr>
		<td>
			<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
			<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'TrackerExtraFieldEdit','tracker','admin',array('tracker_extra_field_id' => $TrackerExtraField->getTrackerExtraFieldId())) . "'; ")?>
		</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
