<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
?>
<br />
<p>
  <strong>
    <?php echo $Lang->getText('TrackerItemMessage.AddNew'); ?>
    <?php if ($TrackerItem->getStatusId() != Tracker::STATUS_CLOSED &&
      $intrinsic_fields[Tracker::TRACKER_FIELD_WAITING_FOR]['is_enabled'] &&
      $intrinsic_fields[Tracker::TRACKER_FIELD_WAITING_FOR]['on_submit']) {
    ?>

    <select name="waiting_for" id="waiting_for">
      <option 
        <?php if ($waiting_for_opposite == TrackerItem::WAITINGFOR_ASSIGNEE) echo "selected='selected'"; ?> 
        value="<?php echo $TrackerItem::WAITINGFOR_ASSIGNEE; ?>">Send to: 
        <?php echo $Lang->getText("TrackerItem.WaitingFor.Assignee"); ?>
      </option>
      <option 
        <?php if ($waiting_for_opposite == TrackerItem::WAITINGFOR_SUBMITTER) echo "selected='selected'"; ?> 
        value="<?php echo $TrackerItem::WAITINGFOR_SUBMITTER; ?>">Send to: 
        <?php echo $Lang->getText("TrackerItem.WaitingFor.Submitter"); ?>
      </option>
    </select>
    <?php } ?>
  </strong>
</p>
<textarea name="body" id="text_body"  rows="7" cols="80" class="row_hidden"><?php echo $body ?></textarea> 
<?php
	$CKEditor = new GFCKEditor();
	$CKEditor->textareaAttributes = array('name'=>'body','rows'=>7,'cols'=>80);
	$CKEditor->config['width']="700";
	$CKEditor->returnOutput = true;
	echo $CKEditor->replace("text_body");
?>
