<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez	ruben@gforgegroup.com
 * @date 2006-03-16
 *
 * SOAP plugin for GForge5.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
 
 
// Add The definition of a user object
$server->wsdl->addComplexType(
	'User',
	'complexType',
	'struct',
	'sequence',
	'',
	array(
		'user_id' => array('name'=>'user_id', 'type' => 'xsd:int'),
		'user_name' => array('name'=>'user_name', 'type' => 'xsd:string'),
		'title' => array('name'=>'title', 'type' => 'xsd:string'),
		'firstname' => array('name'=>'firstname', 'type' => 'xsd:string'),
		'lastname' => array('name'=>'lastname', 'type' => 'xsd:string'),
		'address' => array('name'=>'address', 'type' => 'xsd:string'),
		'address2' => array('name'=>'address2', 'type' => 'xsd:string'),
		'phone' => array('name'=>'phone', 'type' => 'xsd:string'),
		'fax' => array('name'=>'fax', 'type' => 'xsd:string'),
		'status' => array('name'=>'status', 'type' => 'xsd:string'),
		'timezone' => array('name'=>'timezone', 'type' => 'xsd:string'),
		'country_code' => array('name'=>'country_code', 'type' => 'xsd:string'),
		'add_date' => array('name'=>'add_date', 'type' => 'xsd:int'), 
		'language_id' => array('name'=>'language_id', 'type' => 'xsd:int') 
	)
);

// Array of users
$server->wsdl->addComplexType(
    'ArrayOfUser',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
    	array(
    		'ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:User[]'
    	)
    ),
    'tns:User'
);
?>
