<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez	ruben@gforgegroup.com
 * @date 2006-03-16
 *
 * SOAP plugin for GForge5.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$server->wsdl->addComplexType(
	'FRSPackage',
	'complexType',
	'struct',
	'sequence',
	'',
	array(
	'package_id' => array('name'=>'package_id', 'type' => 'xsd:int'),
	'name' => array('name'=>'name', 'type' => 'xsd:string'),
	'status_id' => array('name'=>'description', 'type' => 'xsd:string'),
	'is_public' => array('name'=>'is_public', 'type' => 'xsd:int'),
	)
);

$server->wsdl->addComplexType(
	'ArrayOfFRSPackage',
	'complexType',
	'array',
	'',
	'SOAP-ENC:Array',
	array(),
	array(array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:FRSPackage[]')),
	'tns:FRSPackage'
);

$server->wsdl->addComplexType(
	'FRSRelease',
	'complexType',
	'struct',
	'sequence',
	'',
	array(
	'release_id' => array('name'=>'release_id', 'type' => 'xsd:int'),
	'name' => array('name'=>'name', 'type' => 'xsd:string'),
	'notes' => array('name'=>'notes', 'type' => 'xsd:string'),
	'changes' => array('name'=>'changes', 'type' => 'xsd:string'),
	'status_id' => array('name'=>'description', 'type' => 'xsd:string'),
	'release_date' => array('name'=>'release_date', 'type' => 'xsd:int'),
	)
);

$server->wsdl->addComplexType(
	'ArrayOfFRSRelease',
	'complexType',
	'array',
	'',
	'SOAP-ENC:Array',
	array(),
	array(array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:FRSRelease[]')),
	'tns:FRSRelease'
);

$server->wsdl->addComplexType(
	'FRSFile',
	'complexType',
	'struct',
	'sequence',
	'',
	array(
		'file_id' => array('name'=>'file_id', 'type' => 'xsd:int'),
		'name' => array('name'=>'name', 'type' => 'xsd:string'),
		'size' => array('name'=>'size', 'type' => 'xsd:int'),
		'type' => array('name'=>'type', 'type' => 'xsd:string'),
		'processor' => array('name'=>'processor', 'type' => 'xsd:string'),
		'downloads' => array('name'=>'downloads', 'type' => 'xsd:int'),
		'release' => array('name'=>'release_time', 'type' => 'xsd:int'),
		'date' => array('name'=>'date', 'type' => 'xsd:int'),
	)
);

$server->wsdl->addComplexType(
	'ArrayOfFRSFile',
	'complexType',
	'array',
	'',
	'SOAP-ENC:Array',
	array(),
	array(array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:FRSFile[]')),
	'tns:FRSFile'
);

?>