<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez	ruben@gforgegroup.com
 * @date 2006-03-16
 *
 * SOAP plugin for GForge5.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


require_once('lib/external/nusoap.php');

if (isset($_GET['wsdl'])) {
	$wsdl = $_GET['wsdl'];
} else {
	$wsdl = null;
}

$session = Session::getSession();

$http = GFUrl::getUrlPrefix();
$host = GFConf::get('system.hostName');

// Comment out, only for testing
$uri = $http.$host;
//$uri = "http://gforge.org";
$endpoint = $http.$host.'/gf/xmlcompatibility/soap/';

$server = new soap_server();
$server->configureWSDL('GForgeAPI', 'http://gforgegroup.com', $endpoint, 'rpc', 'http://schemas.xmlsoap.org/soap/http', 'http://gforgegroup.com');

require_once('plugins/xmlcompatibility/lib/soap/common/CommonTypes.php');

//  Include Session Functions
require_once('plugins/xmlcompatibility/lib/soap/common/Session.php');

//	Include Group Functions
require_once('plugins/xmlcompatibility/lib/soap/common/Group.php');

//	Include User Functions
require_once('plugins/xmlcompatibility/lib/soap/common/User.php');

//	Include ArtifactType Functions
require_once('plugins/xmlcompatibility/lib/soap/artifact/ArtifactType.php');

//	Include Artifact Functions
require_once('plugins/xmlcompatibility/lib/soap/artifact/Artifact.php');

//	Include Artifact File Functions
require_once('plugins/xmlcompatibility/lib/soap/artifact/ArtifactFile.php');

//	Include Artifact Message Functions
require_once('plugins/xmlcompatibility/lib/soap/artifact/ArtifactMessage.php');

//	Include Artifact View Functions
require_once('plugins/xmlcompatibility/lib/soap/artifact/ArtifactView.php');

//	Include Artifact Monitor Functions
require_once('plugins/xmlcompatibility/lib/soap/artifact/ArtifactMonitor.php');

//	Include Artifact Technicians Functions
require_once('plugins/xmlcompatibility/lib/soap/artifact/ArtifactTechnicians.php');

//	Include Artifact ChangeLog Functions
require_once('plugins/xmlcompatibility/lib/soap/artifact/ArtifactLog.php');

//	Include Artifact FRS Functions
require_once('plugins/xmlcompatibility/lib/soap/frs/Frs.php');

//	Include Artifact Scm Functions
require_once('plugins/xmlcompatibility/lib/soap/scm/Scm.php');

if ($wsdl) {
	$wsdl_data = $server->wsdl->serialize();
	echo $wsdl_data;
	return;
}
//$server->debug_flag=true;
$GLOBALS['HTTP_RAW_POST_DATA'] = isset($GLOBALS['HTTP_RAW_POST_DATA']) ? $GLOBALS['HTTP_RAW_POST_DATA'] : '';
$server->service($GLOBALS['HTTP_RAW_POST_DATA']);

?>
