<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo $Lang->getText('UserUnix.Edit'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserUnixEditAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $_GET['id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('UserUnix.UnixShellIdName'); ?></strong><br />
			<input type="text" name="unix_shell_id" value="<?php echo $unix_shell_id; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('UserUnix.UnixUidName'); ?></strong><br />
			<input type="text" name="unix_uid" value="<?php echo $unix_uid; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('UserUnix.UnixGidName'); ?></strong><br />
			<input type="text" name="unix_gid" value="<?php echo $unix_gid; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('UserUnix.AuthorizedKeysName'); ?></strong><br />
			<input type="text" name="authorized_keys" value="<?php echo $authorized_keys; ?>" /></td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","javascript:history.go(-1);")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>