<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version $Id$
 * @author Federico Tarantini	federico@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('lib/core/FilesystemPeer.php');

if (!Session::getSession()->isSiteAdmin()) {
	throw new PermissionDeniedException();
}

if(isset($_POST['sure'])) {

	$c = new Criteria();
	$c->add(FilesystemPeer::SECTION,'frontpage'); // TODO -> this section name should be stored somewhere as a constant
	$front_page = FilesystemPeer::doSelectOne($c);
	if (is_object($front_page)) {
		$front_page->delete();
		$feedback = Language::getSessText('SiteAdmin.DelFrontPageDeleted');
	}
} else {
	$feedback = Language::getSessText('SiteAdmin.DelFrontPageNoDeleted');
}

GFUrl::redirect(GFUrl::getUrl()->baseURL('','','admin',array('feedback'=>$feedback)));

?>
