<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for ScmCommitFilter
//
require_once('plugins/scm/lib/ScmCommitFilterPeer.php');
require_once('plugins/scm/lib/ScmCommitFilter.php');
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

//$project = GFUrl::getUrl()->getProject();
//$ScmCommitFilter = $ScmCommitFilterPeer::retrieveByPk($_GET['id']);

$params = array(
	//	'project' => $Project,
	//	'ScmTemplate' => $ScmTemplate,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('ScmCommitFilter.AddNewPageTitle')
		);

$filter_description=((isset($_POST['filter_description'])) ? htmlspecialchars($_POST['filter_description']) : '' );
$plugin_id=((isset($_POST['plugin_id'])) ? htmlspecialchars($_POST['plugin_id']) : '' );
$filter_type = isset($_POST['filter_type']) && Validator::sanitizeInt($_POST['filter_type']) ? Validator::sanitizeInt($_POST['filter_type']) : 1;
$filter_string=((isset($_POST['filter_string'])) ? htmlspecialchars($_POST['filter_string']) : '' );

include('forms/ScmCommitFilterAdd-tpl.php');

?>