<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new ScmCommitFilter and saves it to the 
// database
//
require_once('plugins/scm/lib/ScmCommitFilter.php');
require_once('plugins/scm/lib/ScmCommitFilterPeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

$Lang = Language::getSessLang();

if (isset($_POST['sure'])) {
	$ScmCommitFilter = ScmCommitFilterPeer::retrieveByPk($_POST['id']);
	if (is_object($ScmCommitFilter) && $ScmCommitFilter->userCanDelete()) {
		$ScmCommitFilter->delete();
		GFUrl::redirect($url->currentBaseURL('ScmCommitFilterBrowse'), array('feedback' => $Lang->getText('ScmCommitFilter.DeleteFeedback')));
	} else {
		throw new PermissionDeniedException();
	}
} else {
	GFUrl::redirect($url->currentBaseURL('ScmCommitFilterBrowse'), array('feedback' => $Lang->getText('ScmCommitFilterDeleteForm.DidntConfirm')));
}

?>