<?php

/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. P�rez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('lib/html/templates/SiteAdminTemplate.php');
require_once('core/SiteAdminPeer.php');
$theme = new SiteAdminTemplate();

if (!Session::getSession()->getUser()->isSiteAdmin()) {
	throw new PermissionDeniedException();
}

if (array_key_exists('user_id',$_POST)) {
	$user_id = $_POST['user_id'];
} else {
	$user_id = null;
}

$c = new Criteria();
$c->add(SiteAdminPeer::USER_ID, $user_id);
$site_admin = SiteAdminPeer::doSelectOne($c);

if (!is_object($site_admin)) {
	$feedback = Language::getSessText('User.UserNotExists');
} else {
	if (array_key_exists('sure',$_POST) && ($_POST['sure'])) {
		$site_admin->delete();
		$feedback = Language::getSessText('SiteAdmin.SiteAdminDeleted');		
	} else {
		$feedback = Language::getSessText('Siteadmin.SiteAdminNotDeleted');
	}
}

GFUrl::redirect(GFUrl::getUrl()->baseURL('SiteAdminBrowse','','admin',array('feedback'=>$feedback)));


?>
