<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<h4><?php echo $Lang->getText('Project.Delete').': [#'.$_REQUEST['id'].'] "'.$Project->getProjectName().'"'; ?></h4>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ProjectDeleteAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $_REQUEST['id'] ?>" />
	<input type="hidden" name="redirect" value="<?php echo $redirect ?>" />
	<input type="hidden" name="delete_type" value="<?php echo (isset($_REQUEST['delete_type'])) ? $_REQUEST['delete_type'] : ''; ?>" />
	<table border="0">
	<tr>
		<td><strong><?php echo $Lang->getText('ProjectDeleteForm.Confirm', array($Project->getProjectName())); ?></strong>
		<input type="checkbox" name="sure" value="1" /></td>
	</tr>
	<tr>
		<td><strong><?php echo $Lang->getText('ProjectDeleteForm.SendNoticeConfirm'); ?></strong>
		<input type="checkbox" name="send_reject" value="1" /></td>
	</tr>
	<tr>
		<td><strong><?php echo $Lang->getText('ProjectDeleteForm.NoticeSubject'); ?>&nbsp;*</strong>
	</tr>
	<tr>
		<td><input type="input" name="response_title" size="40" /></td>
	</tr>
	<tr>
		<td><strong><?php echo $Lang->getText('ProjectDeleteForm.NoticeMessage'); ?>&nbsp;*</strong>
	</tr>
	<tr>
		<td><textarea name="response_text" rows="6" cols="50"></textarea></td>
	</tr>
	<tr>
		<td colspan="2" align="center">
			<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.delete') . " ","submit","","")?>
			<?php echo HTMLWidget::button("button","" .   $Lang->getText('submit.cancel') . " ","button","","javascript:history.back();")?>
		</td>
	</tr>
	</table>
<?php
// from approve page
if (array_key_exists('response_text',$_POST)) {
	echo '<input type="hidden" name="response_text" value="'.$_POST['response_text'].'"/>';
	echo '<input type="hidden" name="response_title" value="'.$_POST['response_title'].'"/>';
	echo '<input type="hidden" name="send_reject" value="1"/>';
}
?>
</form>
<?php
$theme->footer($params);
?>
