<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo $Lang->getText('ScmCommitFilter.Edit'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ScmCommitFilterEditAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $_REQUEST['id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('ScmCommitFilter.PluginIdName'); ?></strong><br />
			<?php echo $ScmCommitFilter->getPlugin()->getPluginName() ?>
			</td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ScmCommitFilter.FilterDescriptionName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="filter_description" value="<?php echo $filter_description; ?>" size="40" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ScmCommitFilter.FilterTypeName') ?></strong><br />
				<?php
				$options = array(1=>'pre-commit', 2=>'post-commit');
				echo HTMLWidget::selectBoxFromAssoc($options,'filter_type',$filter_type,false,false);
				?>
			</td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ScmCommitFilter.FilterStringName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="filter_string" value="<?php echo $filter_string; ?>" size="40"/><br />
			<?php echo $Lang->getText('ScmCommitFilter.FilterStringDescription'); ?>
			</td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('ScmCommitFilterBrowse',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
