<?php if (array_search(TroveRenderer::TROVE_DEV_STATUS, $troves) !== false) : ?>
<div class='troveForm' >
<input type="hidden" name="trove_has_trove_devstatus" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.DevStatus'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveDevStatus'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);
		$devStatusDisabled = false;
		if (array_key_exists(GFConf::get('system.troveDevStatus'), $disabledCategories)) {
			echo HTMLWidget::hiddenFieldSingleValue('trove_devstatus', $selected_trove_dev_status);
			$devStatusDisabled = true;
		}
		if (count($arr)>0) {
			echo HTMLWidget::select('trove_devstatus', $arr, $selected_trove_dev_status, false, null, false, null, null, null, $devStatusDisabled);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_LICENSE, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_license" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.License'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveLicense'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);
		$licenseDisabled = false;
		if (array_key_exists(GFConf::get('system.troveLicense'), $disabledCategories)) {
			echo HTMLWidget::hiddenFieldSingleValue('trove_license', $selected_trove_license);
			$licenseDisabled = true;
		}
		if (count($arr)>0) {
			echo HTMLWidget::select('trove_license', $arr, $selected_trove_license, false, null, false, null, null, null, $licenseDisabled);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_OS, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_os" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.OS'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveOS'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			$osDisabled = false;
			if (array_key_exists(GFConf::get('system.troveOS'), $disabledCategories)) {
				echo HTMLWidget::hiddenFieldMultiple('trove_os[]', $arr, $selected_troves);
				$osDisabled = true;
			}
			echo HTMLWidget::multiSelect('trove_os[]', $arr, $selected_troves, false, null, false, null, 
				null, 10, $osDisabled
			);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_SPOKEN_LANGUAGE, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_spokenlanguage" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.SpokenLanguage'); ?></strong>
	<br />
	<div>
	<?php
		$Project = GFUrl::getUrl()->getProject();
		$rootTrove = TroveCategoryPeer::retrieveByPk(GFConf::get('system.troveSpokenLanguage'));
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveSpokenLanguage'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		/** @var TroveCategory[] $arr */
		$arr = TroveCategoryPeer::doSelect($crit);
		//$arr = $rootTrove->getAllChildrens();
		//Grab Trove ids
		$categories_ids = array();
		foreach($arr as $element) {
			$categories_ids[] = $element->getId();
		}

		$c = new Criteria();
		$c->add(TroveLinkPeer::SECTION, Project::SECTION);
		$c->add(TroveLinkPeer::REF_ID, $Project->getProjectId());
		$c->add(TroveLinkPeer::TROVE_CATEGORY_ID, $categories_ids, Criteria::IN);
		$tmp_array = TroveLinkPeer::doSelectJoinTroveCategory($c);
		$selected_categories = array();
		foreach ($tmp_array as $element) {
			$selected_categories[] = $element->getTroveCategory()->getId();
		}

		$isDisabled = false;

		$disabled_categories = array();
		reset($arr);
		foreach ($arr as $element) {
			if ($element->getAccessLevel() == 99 && !(Session::getSession()->getUser()->isSiteAdmin())) {
				$disabled_categories[] = $element->getId();
			}
		}
		if (count($arr)>0) {
			//$langDisabled = false;
			//if (array_key_exists(GFConf::get('system.troveSpokenLanguage'), $disabledCategories)) {
			//	echo HTMLWidget::hiddenFieldMultiple('trove_spokenlanguage[]', $arr, $selected_troves);
			//	$langDisabled = true;
			//}
			echo HTMLWidget::multiSelect('trove_spokenlanguage[]', $arr, $selected_categories, false, null, false,
				null, null, 10, $isDisabled, null, '', $disabled_categories);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_PROGRAMMING_LANGUAGE, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_programminglanguage" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.ProgrammingLanguage'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveProgrammingLanguage'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);	
		if (count($arr)>0) {
			$progLangDisabled = false;
			if (array_key_exists(GFConf::get('system.troveProgrammingLanguage'), $disabledCategories)) {
				echo HTMLWidget::hiddenFieldMultiple('trove_programminglanguage[]', $arr, $selected_troves);
				$progLangDisabled = true;
			}
			echo HTMLWidget::multiSelect('trove_programminglanguage[]', $arr, $selected_troves, false, null, false,
				null, null, 10, $progLangDisabled
			);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_TOPIC, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_topic" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.Topic'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveTopic'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			$topicDisabled = false;
			if (array_key_exists(GFConf::get('system.troveTopic'), $disabledCategories)) {
				echo HTMLWidget::hiddenFieldMultiple('trove_topic[]', $arr, $selected_troves);
				$topicDisabled = true;
			}
			$count=count($arr);
			$nest=array();
			for ($i=0; $i<$count; $i++) {
				if(!isset($nest[$arr[$i]->getParentTroveCategoryId()])) {
					$nest[$arr[$i]->getParentTroveCategoryId()] = array();
					$nest[$arr[$i]->getParentTroveCategoryId()][] = $arr[$i];		
				} else {			
					$nest[$arr[$i]->getParentTroveCategoryId()][] = $arr[$i];			 
				}
			}
			$result = array();
			$aux = array();
			$aux[0] = $nest;
			$res = HTMLWidget::renderArranged($nest,18,0,$result,false); // get the elements 
			echo HTMLWidget::multiSelectFromAssoc('trove_topic[]',$res,$selected_troves,'',false,'',false,'',20,null,$topicDisabled);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_INTENDED_AUDIENCE, $troves) !== false) : ?>

<p>		
	<input type="hidden" name="trove_has_trove_intendedaudience" value="1" />
	<strong><?php echo $Lang->getText('Trove.IntendedAudience'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveIntendedAudience'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			$audienceDisabled = false;
			if (array_key_exists(GFConf::get('system.troveIntendedAudience'), $disabledCategories)) {
				echo HTMLWidget::hiddenFieldMultiple('trove_intendedaudience[]', $arr, $selected_troves);
				$audienceDisabled = true;
			}
			echo HTMLWidget::multiSelect('trove_intendedaudience[]', $arr, $selected_troves, false, null, false, null,
				null, 10, $audienceDisabled
			);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php
$extra_troves = GFConf::get('system.extraTroveRootCategories');
$c = new Criteria();
$c->add(TroveCategoryPeer::TROVE_CATEGORY_ID, $extra_troves, Criteria::IN);
$categories = TroveCategoryPeer::doSelect($c);

foreach ($categories as $category) {  ?>
<input type="hidden" name="<?php echo "trove_has_trove_".$category->getAlias(); ?>" value="1" />
<p>		
	<strong><?php echo $category->getCategoryName(); ?></strong>
	<br />
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, $category->getTroveCategoryId());
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			
			if (array_key_exists(GFConf::get('system.troveIntendedAudience'), $disabledCategories)) {
				echo HTMLWidget::hiddenFieldMultiple('trove_'.$category->getAlias().'[]', $arr, $selected_troves);
				$isDisabled = true;
			} else {
				$isDisabled = false;
			}
			echo HTMLWidget::multiSelect('trove_'.$category->getAlias().'[]', $arr, $selected_troves, false, null, false, null,null, 10, $isDisabled);
		}	
	?>
</p>

<?php  
} ?>
</div>