<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
switch ($action) {
	case 'adminindex': {
		include(dirname(__FILE__).'/admin/index.php');
		break;
	}
	case 'Monitor': {
		include(dirname(__FILE__).'/Monitor.php');
		break;
	}
	case 'Isup': {
		include(dirname(__FILE__).'/isup.php');
		break;
	}
	case 'Rss': {
		include(dirname(__FILE__).'/rss/index.php');
		break;
	}
	case 'secureimage': {
		require ('securimage/securimage_show.php');
		break;
	}
	case 'secureimageaudio': {
		require ('securimage/securimage_play.php');
		break;
	}
	case 'index': {
		if (strlen($url->getSubdir()) == 0) {
			include(dirname(__FILE__).'/index.php');
			break;
		}
	}
	default: {
		require_once('exceptions/InvalidProjectException.php');
		throw new InvalidProjectException($action);
	}
}

?>
