<link href="/themes/gforge5/home/bootstrap.css" rel="stylesheet" type="text/css" />
<link href="/themes/gforge5/home/main.css" rel="stylesheet" type="text/css" />

       <div id="navbar" class="navbar affix">
            <div class="navbar-inner">
                <div class="container">
                    <ul class="nav">
	                    <li><a href="#overview">Overview</a></li>
	                    <li><a href="#inside">What's Inside</a></li>
	                    <li><a href="#feature">Feature Overview</a></li>
	                    <li><a href="#next">What's Next</a></li>
                    </ul>
                    <ul class="nav pull-right social-icons">
                    	<li><div style="width: 21px; height: 19px; margin-top: 11px; margin-right: 20px;"><a href="https://twitter.com/gforgegroup" class="twittericon" target="_blank"></a></div></li>
                    	<li><div style="width: 20px; height: 19px; margin-top: 10px; margin-right: 20px;"><a href="http://www.linkedin.com/company/gforge-group-inc-" class="linkedinicon" target="_blank"></a></div></li>                    	
                    	<li><div style="width: 20px; height: 19px; margin-top: 10px; margin-right: 15px;"><a href="http://gforgegroup.wordpress.com/feed/" class="rssicon" target="_blank"></a></div></li>
                    </ul>
                </div>
            </div>
        </div>
    	<div id="overview" class="section-overview page">
            <div class="container">
	            <div class="row">
	                <div class="span12">
	                	<div id="gforge-insig" class="insig-rotate">
	                		<div class="shadow-pocket">
	                		  <img src="/themes/gforge5/home/img/gforge-insignia.png" alt="GForge" class="gforge-insignia" />
	                		</div>
	                	</div>
						<h1 class="latoLight dark-text centered">WE BELIEVE IN GREAT SOFTWARE</h1>
	                </div>
	                <div class="span8 offset2">
	                    <p>But even great software companies don't always get their best ideas to market on time.  And like you, we know that time means everything.</p>

						<p>Since 2002, we have helped technology leaders deliver amazing things.  From startups to space missions, GForge Advanced Server helps our customers stay focused on priorities, iterate quicker, and innovate to market faster, with smart process and less waste.</p>
	                </div>
	            </div>
	            <div class="row">
	            	<div class="span12">
	            		<a href="#inside" class="section-link btn btn-action">What's Inside? &rsaquo;</a>
	            	</div>
	            </div>
            </div>
        </div>
    	<div id="callaction" class="section-callaction hidden">
            <div class="container">
	            <div class="row">
	            	<a href="#" class="clearfix btn btn-action">Tailor GForge To Your Needs &rsaquo;</a>
	            </div>
            </div>
        </div>
    	<div id="inside" class="section-inside page">
            <div class="container">
	            <div class="row">
	                <div class="span12">
						<h2 class="latoLight light-text centered">What's Inside</h2>
	                </div>
	                <div class="row">
	                	<div class="span8 offset2">
	                		<p>Thank-you for taking the time to give GForge Advanced Server a spin!  Inside there are features to help organizations of any size:</p>
	                	</div>
	                </div>
	                <div class="span4">
	                    <div class="column">
		                    <div class="figure img-circle img-airplane"></div>
		                    <h4>For CTOs, Product Managers and Founders</h4>
		                    <p>GForge Advanced Server gives you tools to help your teams complete projects faster, with better initial quality all while focusing on the strategic vision you have set.</p>
	                    </div>
	                </div>
	                <div class="span4">
	                    <div class="column">
		                    <div class="figure img-circle img-builder"></div>
		                    <h4>For Team Lead, Architects and Project Managers</h4>
		                    <p>Regardless whether your organization subscribes to Agile, XP or a Waterfall development methodology, GForge Advanced Server allows you to deliver more features more often and iterate faster by reducing the common sources of non-value waste associated with many projects.</p>
	                    </div>
	                </div>
	                <div class="span4">
	                    <div class="column">
		                    <div class="figure img-circle img-code"></div>
		                    <h4>For Engineers, Developers and Designers</h4>
		                    <p>GForge Advanced Server allows you to use your process with less pain by giving you the tools to plan, build, track and support the projects you deliver from one place.</p>
	                    </div>
	                </div>
	            </div>
	            <div class="row">
	            	<div class="span12">
	            		<a href="#feature" class="section-link btn btn-action">Feature Overview &rsaquo;</a>
	            	</div>
	            </div>
            </div>
        </div>
    	<div id="feature" class="section-feature page">
            <div class="container">
	            <div class="row">
	                <div class="span12">
						<h2 class="light-text latoBold centered">FEATURE OVERVIEW</h2>
	                </div>
					<div id="screenshots" class="carousel slide feature-carousel span12">
					  <!-- Carousel items -->
					  <div class="carousel-inner">
					    <div class="active item" style="background:url(/themes/gforge5/home/img/feature-slides/slide1-001.jpg) no-repeat left top">
					    	<div class="span6 offset">
<div class="textwrap" style="width:81px"></div><div class="textwrap" style="width:76px"></div><div class="textwrap" style="width:71px"></div><div class="textwrap" style="width:66px"></div>
<div class="textwrap" style="width:61px"></div><div class="textwrap" style="width:56px"></div><div class="textwrap" style="width:51px"></div><div class="textwrap" style="width:46px"></div><div class="textwrap" style="width:41px"></div><div class="textwrap" style="width:36px"></div><div class="textwrap" style="width:31px"></div><div class="textwrap" style="width:26px"></div><div class="textwrap" style="width:21px"></div><div class="textwrap" style="width:16px"></div><div class="textwrap" style="width:11px"></div>
						    	<h4>Project Planning</h4>
						    	<p>Develop your product roadmaps by using both our Releases and Tracker modules which, together, provides project managers a single place to plan work and major milestones and project teams members a single place to receive and close out assigned tasks.  You can even take it a step further by customizing the data you collect for tasks, bugs and new features all while implementing a workflow for your tasks to ensure a consistent, repeatable process is followed.</p>
					    	</div>
					    </div>
					    <div class="item" style="background:url(/themes/gforge5/home/img/feature-slides/slide2-002.jpg) no-repeat left top">
					    	<div class="span6 offset">
<div class="textwrap" style="width:81px"></div><div class="textwrap" style="width:76px"></div><div class="textwrap" style="width:71px"></div><div class="textwrap" style="width:66px"></div>
<div class="textwrap" style="width:61px"></div><div class="textwrap" style="width:56px"></div><div class="textwrap" style="width:51px"></div><div class="textwrap" style="width:46px"></div><div class="textwrap" style="width:41px"></div><div class="textwrap" style="width:36px"></div><div class="textwrap" style="width:31px"></div><div class="textwrap" style="width:26px"></div><div class="textwrap" style="width:21px"></div><div class="textwrap" style="width:16px"></div><div class="textwrap" style="width:11px"></div>
						    	<h4>Collaboration</h4>
						    	<p>Teams can discuss documents, tasks, plan releases using mailing lists, wikis and our completely revamped Discussions features which allow for project-specific, threaded and searchable discussions to happen via chat, forum and email.</p>
					    	</div>
					    </div>
					    <div class="item" style="background:url(/themes/gforge5/home/img/feature-slides/slide3-003.jpg) no-repeat left top">
					    	<div class="span6 offset">
<div class="textwrap" style="width:81px"></div><div class="textwrap" style="width:76px"></div><div class="textwrap" style="width:71px"></div><div class="textwrap" style="width:66px"></div>
<div class="textwrap" style="width:61px"></div><div class="textwrap" style="width:56px"></div><div class="textwrap" style="width:51px"></div><div class="textwrap" style="width:46px"></div><div class="textwrap" style="width:41px"></div><div class="textwrap" style="width:36px"></div><div class="textwrap" style="width:31px"></div><div class="textwrap" style="width:26px"></div><div class="textwrap" style="width:21px"></div><div class="textwrap" style="width:16px"></div><div class="textwrap" style="width:11px"></div>
					    	<h4>Document Management</h4>
					    	<p>Most projects have important documents spread out across network drives, laptops and inboxes.  GForge Advanced Server integrates a powerful document management interface that stores project-specific files in a single, versioned and searchable place.</p>
					    	</div>
					    </div>
					    <div class="item" style="background:url(/themes/gforge5/home/img/feature-slides/slide4-004.jpg) no-repeat left top">
					    	<div class="span6 offset">
<div class="textwrap" style="width:81px"></div><div class="textwrap" style="width:76px"></div><div class="textwrap" style="width:71px"></div><div class="textwrap" style="width:66px"></div>
<div class="textwrap" style="width:61px"></div><div class="textwrap" style="width:56px"></div><div class="textwrap" style="width:51px"></div><div class="textwrap" style="width:46px"></div><div class="textwrap" style="width:41px"></div><div class="textwrap" style="width:36px"></div><div class="textwrap" style="width:31px"></div><div class="textwrap" style="width:26px"></div><div class="textwrap" style="width:21px"></div><div class="textwrap" style="width:16px"></div><div class="textwrap" style="width:11px"></div>
					    	<h4>Source Code Management</h4>
					    	<p>GForge Advanced Server supports CVS, Subversion (SVN) and Git for source code management.  Not only are these proven, best-in-class tools for managing source code, it integrates seamlessly with Trackers allowing code commits to be tied to atomic programming tasks.</p>
					    	</div>
					    </div>
					    <div class="item" style="background:url(/themes/gforge5/home/img/feature-slides/slide5-005.jpg) no-repeat left top">
					    	<div class="span6 offset">
<div class="textwrap" style="width:81px"></div><div class="textwrap" style="width:76px"></div><div class="textwrap" style="width:71px"></div><div class="textwrap" style="width:66px"></div>
<div class="textwrap" style="width:61px"></div><div class="textwrap" style="width:56px"></div><div class="textwrap" style="width:51px"></div><div class="textwrap" style="width:46px"></div><div class="textwrap" style="width:41px"></div><div class="textwrap" style="width:36px"></div><div class="textwrap" style="width:31px"></div><div class="textwrap" style="width:26px"></div><div class="textwrap" style="width:21px"></div><div class="textwrap" style="width:16px"></div><div class="textwrap" style="width:11px"></div>
					    	<h4>Quality</h4>
					    	<p>Jenkins, one of the industry's top continuous integration and build tools, is supported out of the box.  With it, you can automate the process of building, unit testing, integration testing and releasing your work regardless of your technology stack.</p>
					    	</div>
					    </div>
					    <div class="item" style="background:url(/themes/gforge5/home/img/feature-slides/slide6-006.jpg) no-repeat left top">
					    	<div class="span6 offset">
<div class="textwrap" style="width:81px"></div><div class="textwrap" style="width:76px"></div><div class="textwrap" style="width:71px"></div><div class="textwrap" style="width:66px"></div>
<div class="textwrap" style="width:61px"></div><div class="textwrap" style="width:56px"></div><div class="textwrap" style="width:51px"></div><div class="textwrap" style="width:46px"></div><div class="textwrap" style="width:41px"></div><div class="textwrap" style="width:36px"></div><div class="textwrap" style="width:31px"></div><div class="textwrap" style="width:26px"></div><div class="textwrap" style="width:21px"></div><div class="textwrap" style="width:16px"></div><div class="textwrap" style="width:11px"></div>
					    	<h4>Security</h4>
					    	<p>GForge Advanced Server eliminates another account your users have to manage by shipping with support for LDAP, Active Directory and, with a little extra work, many of the Single Sign-on (SSO) implementations on the market.</p>
					    	</div>
					    </div>
					    <div class="item" style="background:url(/themes/gforge5/home/img/feature-slides/slide7-007.jpg) no-repeat left top">
					    	<div class="span6 offset">
<div class="textwrap" style="width:81px"></div><div class="textwrap" style="width:76px"></div><div class="textwrap" style="width:71px"></div><div class="textwrap" style="width:66px"></div>
<div class="textwrap" style="width:61px"></div><div class="textwrap" style="width:56px"></div><div class="textwrap" style="width:51px"></div><div class="textwrap" style="width:46px"></div><div class="textwrap" style="width:41px"></div><div class="textwrap" style="width:36px"></div><div class="textwrap" style="width:31px"></div><div class="textwrap" style="width:26px"></div><div class="textwrap" style="width:21px"></div><div class="textwrap" style="width:16px"></div><div class="textwrap" style="width:11px"></div>
					    	<h4>Access Control</h4>
					    	<p>It isn't uncommon to have project teams collaborating with external partners and customers.  With GForge Advanced Server you can setup roles for users to match the level of access users need to any project.</p>
					    	</div>
					    </div>
					    <div class="item" style="background:url(/themes/gforge5/home/img/feature-slides/slide8-008.jpg) no-repeat left top">
					    	<div class="span6 offset">
<div class="textwrap" style="width:81px"></div><div class="textwrap" style="width:76px"></div><div class="textwrap" style="width:71px"></div><div class="textwrap" style="width:66px"></div>
<div class="textwrap" style="width:61px"></div><div class="textwrap" style="width:56px"></div><div class="textwrap" style="width:51px"></div><div class="textwrap" style="width:46px"></div><div class="textwrap" style="width:41px"></div><div class="textwrap" style="width:36px"></div><div class="textwrap" style="width:31px"></div><div class="textwrap" style="width:26px"></div><div class="textwrap" style="width:21px"></div><div class="textwrap" style="width:16px"></div><div class="textwrap" style="width:11px"></div>
					    	<h4>Extending GForge Advanced Server</h4>
					    	<p>Our SOAP API allows you to integrate GForge Advanced Server with other critical systems in your organization such as your CRM and ERP solutions.  Also, given our open source roots, it only makes sense that with the exception of a single file, you have access to all of our source code through our customer-only Git repository.  This allows you to customize any aspect of GForge to your organization's needs.</p>
					    	</div>
					    </div>
					  </div>
					  <!-- Carousel nav -->
					  <a class="carousel-control left" href="#screenshots" data-slide="prev">&lsaquo;</a>
					  <a class="carousel-control right" href="#screenshots" data-slide="next">&rsaquo;</a>
						<div class="paging">							
							<ul class="paging-inner">
							  <li><span data-rel="1">1</span></li>
							  <li><span data-rel="2">2</span></li>
							  <li><span data-rel="3">3</span></li>
							  <li><span data-rel="4">4</span></li>
							  <li><span data-rel="5">5</span></li>
							  <li><span data-rel="6">6</span></li>
							  <li><span data-rel="7">7</span></li>
							  <li><span data-rel="8">8</span></li>
							</ul>
						</div>
					</div>
	            </div>
	            <div class="row">
	            	<div class="span12">
	            		<a href="#next" class="section-link btn btn-action">What's Next &rsaquo;</a>
	            	</div>
	            </div>	            
            </div>
        </div>
    	<div id="next" class="section-next page" style="background-color: #2f5f90;">
            <div class="container">
	            <div class="row">
	                <div class="span12">
						<h2 class="latoLight light-text centered">What's Next</h2>
	                </div>
	                <div class="span8 offset2">
	                    <p>Obviously you are well on your way to evaluating GForge Advanced Server for yourself with this download.  However, we encourage you to contact us to receive a free, no-obligation assessment.  <a href="https://gforgegroup.com/es/assessment.php?version=6.2">The GForge 360 Assessment</a> is a brief process we developed to help identify how well GForge Advanced Server fits the needs of your organization.  If there is a fit, the assessment also helps us identify how to best tailor GForge Advanced Server to your needs and how you can integrate it with other systems within your enterprise.</p>
		            	<a href="https://gforgegroup.com/es/assessment.php?version=<?php echo SystemUtils::getGForgeVersion() ?>" target="_blank" class="clearfix btn btn-action">Get an Assessment &rsaquo;</a>
	                </div>
	            </div>
	            <div class="big-divider"></div>
            </div>
        </div>
