<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p><div class="infobox"><?php echo $Lang->getText('ProjectExport.Info'); ?></div></p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ExportFullAction') ?>" method="POST">	
	<table border="0">
	<tr>
		<td><strong><?php echo $Lang->getText('ProjectExport.ConfirmRequest', array($Project->getProjectName())); ?></strong>
		<input type="checkbox" name="confirm" value="1" /></td>
	</tr>
	<tr>
		<td colspan="2" align="center">
			<?php echo HTMLWidget::button("submit","" .   $Lang->getText('Common.Submit') . " ","submit","","")?>
			<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('',array()) . "'; ")?>
		</td>
	</tr>
	</table>
</form>
<ul>
<?php
$exportList = GFExportImport::getAllExports();
$myProjectName = $Project->getUnixName();

$titles[] = Language::getSessText('ProjectExport.CurrentSnapshots');
echo $theme->tableTop($titles);
$exportsFound = false;
foreach($exportList as $projectName => $exports) {
	if($projectName==$myProjectName) {
		foreach($exports as $export) {
			$exportsFound = true;
			$cols = array("$projectName - $export");
			echo $theme->tableRow($cols, array(),true);
		}
	}
}

if (!$exportsFound) {
	echo $theme->tableRow(array($Lang->getText('ProjectExport.NoSnapshotsFound')), array(''), true);
}

echo $theme->tableBottom();
$theme->footer($params);
?>
