<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<script type='text/javascript' >
	 //Dinamically disable select controls in subsections when the role has admin access to the main section
	 function toggleSelects() {
		  //Forum
        var wideForumAdminSelect = $('select.[name="data[forum][0]"]');
        if ( wideForumAdminSelect != null) {
            var allForumSelects = $('select.[name*="data[forum]["]');
            if(wideForumAdminSelect.val() > 0) {
                allForumSelects.attr('disabled','disabled');
                //Hackish, I know, but logical AND doesn't seem to work for xpath on jquery
                wideForumAdminSelect.removeAttr('disabled');
                $('#forumAdminDescription').css('visibility', 'visible')
            } else {
	             allForumSelects.removeAttr('disabled');
                $('#forumAdminDescription').css('visibility', 'hidden');
            }
        }

		  //Tracker
        var wideTrackerAdminSelect = $('select.[name="data[tracker][0]"]');
        if (wideTrackerAdminSelect != null) {
	         var allTrackerSelects = $('select.[name*="data[tracker"]');
	         if(wideTrackerAdminSelect.val() > 0) {
                allTrackerSelects.attr('disabled', 'disabled');
                wideTrackerAdminSelect.removeAttr('disabled');
                $('#trackerAdminDescription').css('visibility', 'visible');
            } else {
		          allTrackerSelects.removeAttr('disabled');
                $('#trackerAdminDescription').css('visibility', 'hidden');
            }
        }

		  //Docman
        var wideDocmanAdminSelect = $('select.[name="data[docman][0]"]');
        if (wideDocmanAdminSelect != null) {
            var allDocmanSelects = $('select.[name*="data[docmanfolder]["]');
            if (wideDocmanAdminSelect.val() > 0) {
                allDocmanSelects.attr('disabled', 'disabled');
	             $('#docmanAdminDescription').css('visibility', 'visible');
            } else {
	             $('#docmanAdminDescription').css('visibility', 'hidden');
	             allDocmanSelects.removeAttr('disabled');
            }
        }

        //Frs
        var wideFrsAdminSelect = $('select.[name="data[frs][0]"]');
        if (wideFrsAdminSelect != null) {
            var allFrsPackageSelects = $('select.[name*="data[frspackage]["]');
            if(wideFrsAdminSelect.val() > 0) {
                allFrsPackageSelects.attr('disabled', 'disabled');
	             $('#frsAdminDescription').css('visibility', 'visible');
            } else {
	             allFrsPackageSelects.removeAttr('disabled');
	             $('#frsAdminDescription').css('visibility', 'hidden');
            }
        }
	 }
	 $('document').ready( function() {
		  var wideProjectAdminSelect = $('[name="data[projectadmin][0]"]');
		  var allSelects = $('select.[name!="'+wideProjectAdminSelect.attr('name')+'"]');
		  if(wideProjectAdminSelect.val() > 0 ) {
               $('#projectAdminDescription').show();
			   $('#projectAdminDescription2').hide();
			   allSelects.attr('disabled', 'disabled');
		  } else {
               $('#projectAdminDescription').hide();
			   $('#projectAdminDescription2').show();
			   toggleSelects();
		  }
		  wideProjectAdminSelect.change( function() {
			   if (this.value > 0 ) {
                    $('#projectAdminDescription').show();
				    $('#projectAdminDescription2').hide();
				    allSelects.attr('disabled', 'disabled');
			   } else {
                    $('#projectAdminDescription').hide();
				    $('#projectAdminDescription2').show();
				    allSelects.removeAttr('disabled');
                toggleSelects();
			   }
		  });

		  //Forum
        var wideForumAdminSelect = $('select.[name="data[forum][0]"]');
		  wideForumAdminSelect.change( function()  {
			   toggleSelects();
        });

		  //Tracker
        var wideTrackerAdminSelect = $('select.[name="data[tracker][0]"]');
        wideTrackerAdminSelect.change( function() {
	         toggleSelects();
        });

        var wideDocmanAdminSelect = $('select.[name="data[docman][0]"]');
		  wideDocmanAdminSelect.change( function() {
			   toggleSelects();
		  });

        var wideFrsAdminSelect = $('select.[name="data[frs][0]"]');
		  wideFrsAdminSelect.change( function() {
			   toggleSelects()
		  });


	 });
</script>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('RoleEditAction') ?>" method="POST">
<input type="hidden" name="role_id" value="<?php echo $role_id; ?>" />
<strong><?php echo $Lang->getText('Role.RoleNameName'); ?></strong><br />
<input type="text" name="role_name" value="<?php echo $role_name; ?>" />
<br />
<br />
	
<?php

$titles[] = Language::getSessText('ProjectAdmin.Role.Section');
$titles[] = Language::getSessText('ProjectAdmin.Role.Subsection');
$titles[] = Language::getSessText('ProjectAdmin.Role.Setting');
$titles[] = Language::getSessText('ProjectAdmin.Role.Description');

echo $theme->tableTop($titles);

/* Show project admin */
$checked = 0;
// let's see if this role has project admin privileges
$c = new Criteria();
$c->add(RoleSettingPeer::SECTION,'projectadmin');
$c->add(RoleSettingPeer::ROLE_ID,$role_id);
$c->add(RoleSettingPeer::VALUE,1);
$res = RoleSettingPeer::doSelectOne($c);
$checked = (count($res) > 0) ? 1 : 0;

$cols = array();
$mods = array();
$cols[] = '<strong>'.Language::getSessText('ProjectAdmin.Role.ProjectAdmin').'</strong>';
$mods = 'width="20%"';
$cols[] = '-';
$mods = 'width="10%"';
$cols[] = HTMLWidget::SelectBoxFromArrays(array(0,1), 
							array(Language::getSessText('Options.None'), 
								Language::getSessText('ProjectAdmin.Role.ProjectAdmin')), 
							"data[projectadmin][0]", $checked, false);
$mods = 'width="10%"';
$cols[] = '<span id="projectAdminDescription">'.Language::getSessText('ProjectAdmin.Role.ProjectAdminDescription').'</span>'.
    '<span id="projectAdminDescription2">'.Language::getSessText('ProjectAdmin.Role.ProjectAdminDescriptionNone').'</span>';		// Description
$mods = 'width="40%"';
echo $theme->tableRow($cols,$mods);

/* Retrieve roles from plugins */
$params = array('project' => $project);
$prs = ActionManager::notify('GET_ROLE_CHOICES', $params);

/* Roles for plugins */
$txt='';
$lastid = null;
$lastplugin = null;
foreach ($prs as $pluginResult) {
	$plugin = $pluginResult->getPlugin();
	$roles = $pluginResult->getResult();

	if (!is_array($roles)) {	// Some plugins don't give us role choices
		continue;
	}
	
	// Layout hack: group the sections in the same rowspan
	$section_count = array();
	foreach ($roles as $roleitem) {
		$section_name = $roleitem['section'];
		if (!array_key_exists($section_name, $section_count)) {
			$section_count[$section_name] = 1;
		} else {
			$section_count[$section_name]++;
		}
	}
	$shown_sections = array();
	
	foreach ($roles as $roleitem) {
		$section = array_shift($roleitem['settings']);	// Retrieve the section for this item
		
		// Ask the role settings
		$c = new Criteria();
		$c->add(RoleSettingPeer::ROLE_ID, $role->getPrimaryKey());
		$c->add(RoleSettingPeer::SECTION, $section);
		$c->add(RoleSettingPeer::REF_ID, $roleitem['ref_id']);
		$role_setting = RoleSettingPeer::doSelectOne($c);
		if (is_object($role_setting)) {
			if (is_numeric($role_setting->getRelatedId())) {
				$checked = $role_setting->getValue().';'.$role_setting->getRelatedId();
			} else {
				$checked = $role_setting->getValue();
			}
		} else {
			$checked = '';
			// if we reach this case, then the DB was messed up someway because if the role exists, then
			// the role setting must exist also.
		}
		
		$selectbox =  HTMLWidget::SelectBoxFromArrays($roleitem['settings'][0][1],
								$roleitem['settings'][0][0],
								"data[".$section."][".$roleitem['ref_id']."]",
								$checked, false);
		// Changed plugin
		if ( ($lastid != $roleitem['ref_id']) || !$lastid || ( ($lastplugin) && ($plugin->getName()!=$lastplugin)) ) {
			$trow = array();
			$tmod = array();
			
			// PLEASE NOTE: this assumes that the sections are grouped in the $result array, this
			// allows us to parse it sequentially.

			$section_name = $roleitem['section'];
			if (!in_array($section_name, $shown_sections)) {
				$trow[] = '<strong>'.$section_name.'</strong>';
				$mod = 'rowspan="'.$section_count[$section_name].'"';
				if ($section_count[$section_name] > 1) {
					$mod .= ' bgcolor="#ffffff"';
				}
				$tmod[] = $mod;
				$shown_sections[] = $section_name;
			}
			$trow[] = $roleitem['subsection'];
			$tmod[] = '';
			$trow[] = $selectbox;
			$tmod[] = '';
			
			if (array_key_exists('description', $roleitem)) {
				$trow[] = $roleitem['description'];
			} else {
				$trow[] = '';
			}
			$tmod[] = '';
			echo $theme->tableRow($trow, $tmod);
		} else {
			//$trow[2] .= "&nbsp;&nbsp;".$selectbox;
		}

		// saving setting for next iteration
		$lastid = $roleitem['ref_id'];
		$lastplugin = $plugin->getName();		
	}
}


echo $theme->tableBottom();

?>
<br />

<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('RoleBrowse',array('role_id' => $role_id)) . "'; ")?>
</form>

<?php
$theme->footer($params);
?>
