<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
?>
<!--style type="text/css">
     #newscontainer { float: left; padding-bottom: 1px; border: 0px; width: 500px;}
     .author a { font-weight: 900; color: #57688F; text-decoration: none; }
     #newsinner { float: left; overflow: hidden; border: 0px; }
     #newsinner input {border: 1px solid #1A4396; background-color: #FAFCFF; padding: 2px;}
     #newsinner textarea {border: 1px solid #1A4396; background-color: #FAFCFF; padding: 2px;}
     #newsinner select {border: 1px solid #1A4396; background-color: #FAFCFF; padding: 2px;}
     #newsinner div { float: left; background: #fff; border: 0px solid #000; width: 500px; margin-right: 10px; margin-bottom: -1000px; padding-bottom: 1000px; }
     #newsinner .newscol2 { background: #fff; margin-right: 0; width: 200px; }
     .clear { clear: both; padding-top: 10px; }
     .posted_time { font-size: 11px; color: #707070; }
     .viewall a { font-size: 11px; color: #707070; text-decoration: none; }
</style-->

<div id="post-deleate-dialog" title="Delete post" style="display: none;">
	<span>Delete this post?</span>
</div>

<script type="text/javascript">
var show_add_form = <?php echo (isset($errors) && sizeof($errors) > 0) ? "true" : "false"; ?>;

window.onload = function () {
	if (show_add_form) {
		showWallPostAdd();
	}
}
	

function closeCurrentWindow() {
	var obj = document.getElementById(opened_window_id);
	if (obj != undefined) {
		obj.innerHTML = "";
	}
	opened_window_id = "";
}


function showPostsBy(filter) {
	window.location  = '<?php echo GFUrl::getUrl()->currentUrl(array('action'=>'MessageWallPostBrowse'),array()); ?>&filter=' + filter;
}	


function showWallPostAdd() {
	document.getElementById("new_post").style.display = "block";
}	


function viewComments(id, qty) {
	var strUrl = '<?php echo GFUrl::getUrl()->currentUrl(array('action'=>'MessageWallComments'),array()); ?>&id=' + id + '&qty=' + qty ;

	$.ajax({
	  url: strUrl,
	  type: "GET",
	  data: null,
	  dataType: 'html',
				
	  success: function(response) {
			var response = response || "no response text";
			document.getElementById('comments_' + id).innerHTML = response;	
		},
		  error: function(response) {
				alert('Something went wrong...')
		}
	});	
	
	return;
}	


function activateCommentAdd(id) {
	document.getElementById('new_comment_' + id).value = "";
	//document.getElementById('new_comment_' + id).style.border = "2px solid #1A4396";
	//document.getElementById('new_comment_' + id).style.background = "#E8F0FF";
	document.getElementById('new_comment_buttons_' + id).style.display='block';
}


function deActivateCommentAdd(id) {
	document.getElementById('new_comment_' + id).value = "Add a comment...";
	//document.getElementById('new_comment_' + id).style.border = "1px solid #1A4396";
	//document.getElementById('new_comment_' + id).style.background = "#FAFCFF";
	document.getElementById('new_comment_buttons_' + id).style.display='none';
}


function postComment(id) {
	var comment = document.getElementById("new_comment_" + id).value;
	var url_action = '<?php echo GFUrl::getUrl()->currentUrl(array('action'=>'MessageWallCommentAddAction'),array()); ?>&id=' + id + '&comment=' + comment;

	$.ajax({
	  url: url_action,
	  type: "GET",
	  data: null,
	  dataType: 'html',
				
	  success: function(response) {
			if (response == "OK") {
				deActivateCommentAdd(id);
				viewComments(id, 3);
			}
		},
		  error: function(response) {
				alert('Something went wrong...')
		}
	});	

	return;
}


var delete_wall_post_id = 0;

function showDeletePost(id) {
	$( "#post-deleate-dialog" ).dialog({
		title: "Delete",
		resizable: false,
		height:'auto',
		modal: true,
		buttons: {
			"Ok": function() {
				var url_action = '<?php echo GFUrl::getUrl()->currentUrl(array('action'=>'MessageWallPostDeleteAction'),array()); ?>&id=' + id;
				$.ajax({
					url: url_action,
					type: "GET",
					data: null,
					dataType: 'html',
					success: function(response) {
						if (response == "OK") {
							window.location = '<?php echo GFUrl::getUrl()->currentUrl(array('action'=>''),array()); ?>';
						}
					},
					error: function(response) {
						alert('Something went wrong...')
					}
				});
			},
			Cancel: function() {
				$( this ).dialog( "close" );
			}
		}
	});
}

function showFilters() {

	<?php
	if (Session::getSession()->isLoggedIn()) {
    ?>
	var str_filters = document.getElementById("filters").style.display;
	if (str_filters == "none") {
		document.getElementById("filters").style.display = "block";			
	} else {
		document.getElementById("filters").style.display = "none";
	}

	<?php } ?>
	
}


var newwindow = "";

function popitup(url , title) {
	if (newwindow && !newwindow.closed) { 
		newwindow.focus(); newwindow.document.clear() 
	} else { 
	newwindow=window.open('','','width=404,height=316,resizable=1') }
	newwindow.document.writeln('<> <head> <title>' + title + '<\/title> <\/head> <body bgcolor=\"black\"> <center>');
	newwindow.document.writeln('<img src=' + url + ' title=\"' + title + '\" alt=\"' + title + '\" >');
	newwindow.document.writeln('<\/center> <\/body> <\/html>');
	newwindow.document.close();
}

function tidy() {
	if (newwindow && !newwindow.closed) { 
		newwindow.close(); 
	}
}

</script>

<div id="newscontainer">
<h3>Latest Project Messages</h3>
<br/>
<table>
			<tr>
				<td valign="top">
					<?php
					if (Session::getSession()->isLoggedIn()) {
						echo HTMLWidget::button("button","Show Filters","button","btn_show_filters","showFilters()", true)?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo HTMLWidget::button("button","Post a Message","button","btn_post_message","showWallPostAdd()", $bolCanCreate);
					}
					?>

					<br />
					<table style="display: none;" id="filters">
						<tr>
					<td valign="top" width="200px">
							<!-- Start Archives -->
							<strong>Show posts by criteria:</strong>
							<div style="margin-top: 2px; margin-left: 5px;">
								<a href="javascript:;" onclick="showPostsBy(0);">Show all</a><br/>
								<a href="javascript:;" onclick="showPostsBy(1);">Posted by you</a><br/>
								<a href="javascript:;" onclick="showPostsBy(2);">Targeted at you</a><br/>
							</div>
							<!-- Finish search -->
					</td>
					
					<td valign="top" width="200px">
							<!-- Start Archives -->
							<?php if (sizeof($arr_archives) > 0) { ?>
							<strong>Archives:</strong>
							<div style="margin-top: 2px; margin-left: 5px;">
								<ul>
								<?php 
									foreach ($arr_archives as $arr_archive) {
										echo '<li><a href="' . GFUrl::getUrl()->currentUrl(array('action'=>'MessageWallPostBrowse', 'year'=>$arr_archive['year'], 'month'=>$arr_archive['month']),array()) . '">' . $arr_archive['desc'] . '</a></li>';
									} 
								?>
								</ul>
							</div>
							<?php } ?>
							<!-- Finish Archives -->			
					</td>
					
					<td valign="top" width="200px">
							<!-- Start Frequent Posters -->
							<?php if (sizeof($rs_frequent_posters) > 0) { ?>
							<strong>Frequent Posters:</strong>
							<br/>
							<table>
							<?php
								foreach($rs_frequent_posters as $arr_frequent_poster) {
									$frequent_poster = UserPeer::retrieveByPk($arr_frequent_poster['posted_by']);
									if (is_object($frequent_poster)) {
										echo "<tr>";
										if (GFConf::get('system.displayAvatar')) {
											echo '<td><img height="40" src="' . $frequent_poster->getAvatarUrl() . '" /></td>';
										}
										echo '<td><a href="' . $url->userUrl($frequent_poster) . '">' . $frequent_poster->getFullname() . '</a></td>';
										echo "</tr>";
									}
								}
							?>
							</table>
							<?php } ?>
							<!-- Finish Frequent Posters -->
					</td>
				</tr>
			</table>
				</td>
	</tr>
	
	<tr>
		<td width="500px">			
<?php
	if (sizeof($arr) == 0) {
		echo "<strong>" . $Lang->getText('MessageWall.NoPosts') . "</strong>";	
	}
	
	if ($session->isLoggedIn() && is_object($project) && ($user->isProjectMember($project) || $project->isPublic())) {
		$button_enabled = true;
	} else {
		$button_enabled = false;
	}
?>
	<div id="newsinner">
			<div id="content" role="main">		
				
				<div id="new_post" style="display: none;">
				
					<form name="useradd" id="useradd" action="<?php echo GFUrl::getUrl()->currentUrl(array('action'=>'MessageWallPostAddAction'), array()); ?>" method="POST" enctype="multipart/form-data">
						<table border="0">
							<tr>
								<td><strong><?php echo "To User:";//echo $Lang->getText('WallPost.Comments'); ?></strong><br />
									<input name="share_users" id="share_users" size="30" type="text" value="<?php echo $share_users; ?>">
									&nbsp;&nbsp;<a href="javascript:void(0);" onclick="popup('<?php echo GFUrl::getUrl()->baseURL('findusers', '', 'admin/popups', array('search' => 'user_0', 'type' => 'user')); ?>' + '&js_accumulate_users=1&words=' + document.getElementById('share_users').value,'300','200');"><?php echo Language::getSessText('ProjectAdmin.PopupAddUser'); ?></a>
									
								</td>
							</tr>
							<tr>
								<td><strong><?php echo $Lang->getText('WallPost.Comments'); ?>:&nbsp;*</strong><br />
									<textarea name="comment" rows="2" cols="80"><?php echo $comment; ?></textarea>
								</td>
							</tr>
							<tr>
								<td>
									<strong><?php echo  $Lang->getText('WallPost.AddFile'); ?></strong><br />
									<input name="addfile" size="30" type="file">
								</td>
							</tr>
							<tr>
								<td><strong><?php echo $Lang->getText('WallPost.Section'); ?>:</strong><br />
									<select name="section">
										<option value="">Select an item</option>
										<option value="docmanfile" <?php echo ($section == "docmanfile") ? 'selected="selected"' : ""; ?>>Docman File</option>
										<option value="forummessage" <?php echo ($section == "forummessage") ? 'selected="selected"' : ""; ?>>Forum message</option>
										<option value="frsrelease" <?php echo ($section == "frsrelease") ? 'selected="selected"' : ""; ?>>FRS Release</option>
										<option value="scmcommit" <?php echo ($section == "scmcommit") ? 'selected="selected"' : ""; ?>>SCM Commit</option>
										<option value="trackeritem" <?php echo ($section == "trackeritem") ? 'selected="selected"' : ""; ?>>Tracker Item</option>
										<option value="wikipage" <?php echo ($section == "wikipage") ? 'selected="selected"' : ""; ?>>Wiki Page</option>					
									</select>
								</td>
							</tr>
							<tr>
								<td><strong><?php echo $Lang->getText('WallPost.ReferenceID'); ?>:</strong><br />
								<input type="text" name="ref_id" value="<?php echo $ref_id; ?>" size="6" maxlength="20"  /></td>
							</tr>
							<tr>
								<td>	
										<?php echo HTMLWidget::button("submit",$Lang->getText('WallPost.AddNew'),"wall_post_add","", "", $button_enabled); ?>
										<?php echo HTMLWidget::button("button",$Lang->getText('Common.Back'),"back","","document.getElementById('new_post').style.display = 'none';"); ?>
							
								</td>
							</tr>
						</table>
					</form>
								
				</div>

				<div>
					<img src="<?php echo $theme->getImgUrl("blog/thread_separator.png"); ?>" />
				</div>
<?php
	//Loop posts array and display each post
	foreach ($arr as $item) {
		//Get user that posted the item
		$user_id = $item->getPostedBy();
		$user_posted = UserPeer::retrieveByPk($user_id);
		$url = GFUrl::getUrl();
		if (is_object($user_posted)) {
			$user_posted_name = $user_posted->getFullname();
			$user_posted_unixname = $user_posted->getUnixName();
		} else {
			$user_posted_name = "anonymous";
		}

		//Check if there are specific users targeted in this post
		$c = new Criteria();
		$c->add(AssociationPeer::SECTION, "messagewall");
		$c->add(AssociationPeer::TO_SECTION, "user");
		$c->add(AssociationPeer::REF_ID, $item->getWallPostId());
		$association_users = AssociationPeer::doSelect($c);

		//Get target users
		$str_targeted_users = "";
		foreach ($association_users as $association_user) {
			$target_user = UserPeer::retrieveByPk($association_user->getToRefId());
			
			if ($str_targeted_users == "") {
				$str_targeted_users = " >> ";
			} else {
				$str_targeted_users .= ", ";
			}
			
			$str_targeted_users .= '<span class="author"><a href="' . $url->userUrl($target_user) . '" title="">' . $target_user->getFullname() .  '</a></span>';
		}

		//Get attach
		$c = new Criteria();
		$c->add(FilesystemPeer::REF_ID, $item->getWallPostId());
		$c->add(FilesystemPeer::SECTION, "messagewall");
		$attach = FilesystemPeer::doSelectOne($c);
		if (is_object($attach)) {
			$attach_url = GFUrl::getURL()->downloadURL("messagewall",$item->getWallPostId(),$attach->getFilesystemId(),$attach->getFileNameSafe());
		} else {
			$attach_url = "";
		}
?>
<!-- #start wall post block -->
	<?php require("wwwlib/project/messagewall/forms/MessageWallPost-tpl.php"); ?>
<!-- #end wall post block -->
<?php
	} 
?>
			</div>
		</td>

	</tr>
</table>
	

</div>
<div class="clear"></div>
