<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/UserTemplate.php');
require_once('lib/core/UserPeer.php');
require_once('lib/core/UserPluginPeer.php');
require_once('lib/core/RolePeer.php');
require_once('lib/core/Role.php');

$user = GFUrl::getUrl()->getUser();
$user_name = $user->getUnixName();
$Lang = Session::getSession()->getLanguage();

$theme = new UserTemplate();
$params = array(
		'title'=>$Lang->getText('UserProfile'),
		'selectedbottomtab' => 'project',
		'user' => $user,
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'action' => isset($action) ? $action : '',
		);
$theme->header($params);

include('user_project.php');

$theme->footer($params);
?>
